Chakra Linux Italia Forum

Contributi => Guide => Topic aperto da: UnderTheGun - 07 Febbraio 2014 ore 02:11

Titolo: Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: UnderTheGun - 07 Febbraio 2014 ore 02:11
Chakra Infinality-{Ultimate}-Bundle
I vostri caratteri non sono mai stati così ben definiti!
(http://www.freeimagehosting.net/newuploads/7pod9.png)


Scopo: Migliorare la resa dei caratteri su Chakra
Come: Installando dei pacchetti con le patch infinality ed altre by Bohoomil
Possibili conflitti o problemi: Eventuali errori/problemi sono segnalati QUI (http://forum.chakra-project.it/index.php/topic,6123.msg49432.html#msg49432)
Vantaggi: La resa dei font sarà migliore e le configurazioni da fare molto semplici!
Tempo necessario: 5 minuti!
Perchè dovrei usarlo: Suggerisco di usare questi pacchetti e NON quelli infinality "ufficiali" perchè ritengo che siano la migliore soluzione attualmente in circolazione per distro (ex) Arch-based come Chakra e sistemi GNU/LInux in generale!
Sono davvero così buoni? Si, inoltre di default le configurazioni sono ottime per il 95% dei pc. Non c'è bisogno di toccare (quasi) nulla.
Link utili:
  Wiki di Chakra sul bundle (http://chakraos.org/wiki/index.php?title=Infinality-bundle)



INFORMAZIONI GENERALI:
Infinality bundle (http://chakraos.org/ccr/packages.php?O=0&K=infinality-bundle&do_Search=+Vai+) è una collezione di software (mantenuta da bohoomil (https://github.com/bohoomil/fontconfig-ultimate)) che fornisce un facile metodo "installa e dimentica" per migliorare il rendering del testo in Arch Linux e derivate.

Io ho solo modificato i pacchetti poichè quelli originali non erano compatibili con Chakra ed avevano alcune  dipendenze diverse.
Inoltre rispetto alla versione per Arch, questa è GTK-free !!

Consiglio per avere idee più chiare di visitate l'infinality-bundle user notes (http://bohoomil.cu.cc/) ed anche il repo git gestito dallo stesso bohoomil: qui (https://github.com/bohoomil/fontconfig-ultimate) !!


Attualmente il bundle comprende :

Più anche, eventualmente, le versioni MULTILIB (lib32) dei medesimi pacchetti!!

Per ottenere risultati ancora migliori potete aggiungere anche un ulteriore repository (infinality-bundle-fonts), che offre una vasta selezione di tutti i font necessari per creare e riprodurre i documenti ipertestuali. Tutti i font sono stati selezionati manualmente, garantendo un rendering del testo di alta qualità. Tutti i font sono liberi al 100% coperti da licenze GPL, OFL, Apache o licenze non restrittive.

Per impostazione predefinita non è necessaria alcuna configurazione post-installazione. Tuttavia possiamo personalizzare e configurare i valori delle patch infinality a seconda delle nostre esigenze.


INSTALLAZIONE
1.Per installare tutti e 3 i componenti lanciate:
Codice: [Seleziona]
ccr -S freetype2-infinality-ultimate fontconfig-infinality-ultimate cairo-infinality-ultimateQuando vi chiede se sostituire il pacchetto con quello già esistente dite di SI!
Citazione
:: freetype2-infinality-ultimate and freetype2 vanno in conflitto. Rimuovere freetype2? [S/n]S

2.Se vogliamo far funzionare anche applicazioni come Skype, Wine etc, che necessitano delle lib32 corrispondenti, dobbiamo installare anche i seguenti pacchetti che aggiungono il supporto, appunto, per applicazioni a 32-bit::
Codice: [Seleziona]
ccr -S lib32-freetype2-infinality-ultimate lib32-fontconfig-infinality-ultimate lib32-cairo-infinality-ultimate

3. Adesso, consigliato, possiamo anche aggiungere il repository infinality-bundle-fonts nel file /etc/pacman.conf  in fondo:
Codice: [Seleziona]
sudo kate /etc/pacman.conf
Codice: [Seleziona]
[infinality-bundle-fonts]
Server = http://bohoomil.com/repo/fonts
SigLevel = PackageRequired


4. Dobbiamo poi aggiungere la chiave per le firme dei pacchetti:
Codice: [Seleziona]
sudo pacman-key --init
Codice: [Seleziona]
sudo pacman-key -r 962DDE58
Codice: [Seleziona]
sudo pacman-key --lsign-key 962DDE58
5. Ora possiamo decidere se, o meno, installare una piccola collezione di font ottimizzati per le nostre patch "Infinality Ultimate". CONSIGLIATO!
Per installarla lanciate:
Codice: [Seleziona]
sudo pacman -Sy ibfonts-meta-base
Per vedere quali altri font sono disponibili lanciate:
Codice: [Seleziona]
sudo pacman -Sl infinality-bundle-fontsNB: il comando è pacman -Sl e NON pacman -S, attenti!!!
Dalla lista che viene fuori segnatevi e installate i font che più vi piacciono. Ma non tutti!!

Citazione
--->ATTENZIONE: È ALTAMENTE SCONSIGLIATO installare TUTTI i fonts presenti in "infinality-bundle-fonts".

Citazione
--->MOLTO IMPORTANTE: se di un font esiste sia la versione sui repository ufficiali (e/o su CCR) sia una versione sul nostro repo "infinality-bundle-fonts", installate SEMPRE la 2°, cioè LA VERSIONE infinality-ultimate!!! Mi raccomando!!

6. Ora riavviamo il pc o il server X (sudo systemctl restart kdm).

FINE!

Eventuali errori/problemi sono segnalati QUI (http://forum.chakra-project.it/index.php/topic,6123.msg49432.html#msg49432)


IMPORTANTE

Ricordo a tutti, ogni volta che aggiornate i pacchetti di controllate in
/etc/profile.d/

Questo perchè il nuovo file di configurazione infinality-settings.sh viene installato come infinality-settings.sh.pacnew!!!
Quindi per usufruire al meglio delle nuove patch via via che queste vengono aggiornate, dovete rinominare/cancellare il vecchio file e salvare il nuovo (.pacnew) come: infinality-settings.sh

Mi raccomando! Lanciate, per farlo, questi comandi:

Codice: [Seleziona]
sudo rm /etc/profile.d/infinality-settings.sh
Codice: [Seleziona]
sudo mv /etc/profile.d/infinality-settings.sh.pacnew  /etc/profile.d/infinality-settings.sh
Riceverete comunque un avvertimento da pacman quando questo succede, quindi basta leggere ;):
Esempio:
Citazione
:: Vuoi procedere con l'installazione? [S/n] s
 aggiornamento in corso di freetype2-infinality-ultimate                              [-----------------------------------------------------] 100%
attenzione: /etc/profile.d/infinality-settings.sh è stato installato come /etc/profile.d/infinality-settings.sh.pacnew



CONFIGURAZIONE

1.
Per selezionare quale preset usare lanciate:
Codice: [Seleziona]
sudo  fc-presets set
1) custom
2) ms
3) free
4) reset
5) quit
Enter your choice...

Se avete sul pc font free e/o liberi lasciate le impostazioni di default 3) free (potete anche saltare questo passaggio).
Se invece avete ed usate font proprietari Microsoft selezionate 2) ms
Citazione
---> Per i più ESPERTI: Se si preferisce utilizzare una collezione di font personalizzati selezionate 1) custom.
C'è un preset personalizzato disponibile che permettere di regolare i parametri fontconfig di conseguenza. Quando si attiva il preset 'custom', il contenuto del suo file di configurazione (/etc/fonts/conf.avail.infinality/custom) può essere liberamente modificato.
Quando hai finito non dimenticare di creare una copia di backup della directory 'custom'.

2. Per modificare il profilo potete modificare il valore USE_STYLE="" nel file /etc/profile.d/infinality-settings.sh.
Codice: [Seleziona]
kdesu kate /etc/profile.d/infinality-settings.shDi solito il profilo "1" è il migliore, ma io, per esempio, mi trovo meglio selezionando il "3". Voi provate qual'è quello più adatto al vostro schermo.

Nel file ci sono anche altri valori che potete modificare, se sapete cosa state facendo!

3. Andiamo ora su "Impostazioni di sistema" > "Aspetto delle applicazioni" > "Caratteri" .
Alla voce "Utilizza l'anti-aliasing per i caratteri" spuntate la casella (cioè attivatela)!
Ora cliccate sul vicino pulsante "Configura".
Spuntate la casella "Utilizza sub-pixel hinting"  e selezionate "RGB".
Il subpixel rendering RGB è il più comune nei monitor per pc. Potete comunque andare qui (http://www.lagom.nl/lcd-test/subpixel.php) per eseguire un piccolo test. Scorrete un pò la pagina e osservate (meglio senza occhiali da 20 cm circa) il quadrato blu con i bordi rossi al centro (NON quello a destra!!). In uno dei lati, sul bordo, noterete una linea nera più marcata rispetto alle altre. Ora leggete il valore scritto vicino a quel bordo rosso. Può essere RGB (il più comune), BGR, V-RGB o V-BGR.

Ora (tornando al nostro "Impostazioni di sistema") selezionate lo "stile di hinting". Le scelte migliori per il nostro "Chakra-infinality-bundle"sono 2: intero o moderato. È una questione di gusti, di monitor e soprattutto di caratteri. Io consiglio di iniziare con quello moderato. Riavviate "X" oppure il pc e osservate se vi piace. Altrimenti selezionate intero.

Potete anche forzare il DPI dei caratteri, spuntando l'opzione e immettendo il valore del vostro monitor.
Per conoscere il valore lanciate da terminale:
Codice: [Seleziona]
xdpyinfo | grep dotsil valore che ne esce può per esempio essere:
Codice: [Seleziona]
  resolution:    96x96 dots per inchcosì io nelle impostazioni abilito la funzione e inserisco "96".

Ora salvate e chiudete le impostazioni!

4. Chi ha un monitor LCD, immagino quasi tutti, può utilizzare un ulteriore filtro pensato appositamente.
Per attivarlo lanciate da terminale:
Codice: [Seleziona]
kate ~/.config/fontconfig/fonts.confOra inserite questo valore alla fine del file MA PRIMA della stringa "</fontconfig>"
Codice: [Seleziona]
<match target="font">
  <edit mode="assign" name="lcdfilter">
   <const>lcddefault</const>
  </edit>
</match>

Dovreste avere quindi un fonts.conf del tipo:
Codice: [Seleziona]
<?xml version='1.0'?>
<!DOCTYPE fontconfig SYSTEM 'fonts.dtd'>
<fontconfig>
 <match target="font">
  <edit mode="assign" name="rgba">
   <const>rgb</const>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="hinting">
   <bool>true</bool>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="hintstyle">
   <const>hintslight</const>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="antialias">
   <bool>true</bool>
  </edit>
 </match>
 <match target="font">
   <edit mode="assign" name="lcdfilter">
   <const>lcddefault</const>
  </edit>
 </match>
</fontconfig>
Ovviamente il valore "hintslight" potrebbe essere "hintfull" se avete selezionato uno Stile di hinting "intero" anzichè "moderato". Ma è tutto ok lo stesso.

Salvate ora il file e riavviate "X" o il pc per vedere attive le modifiche apportate!

Ora potete godere! Abbiamo finito!! ^^


Consiglio di dare un occhio anche al post sotto per risolvere eventuali problemi!




_________________________________

Licenza

The MIT License (MIT) <http://opensource.org/licenses/MIT> Copyright (c) 2013 bohoomil

Clicca qui:
[spoiler]Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.[/spoiler]
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: UnderTheGun - 07 Febbraio 2014 ore 02:13
Altre CONFIGURAZIONI E RISOLUZIONE DEI PROBLEMI

1.  Alcuni utenti di GIMP hanno riportato problemi col il subfixel rendering del testo nelle immagini. Il migliore cosa da fare è quella di disabilitare il subpixel rendering solo per GIMP . Aggiungere un file in /etc/gimp/2.0/fonts.conf (o in ~/gimp-2.8/fonts.conf solo per un singolo utente) con il seguente contenuto:
Codice: [Seleziona]
<fontconfig>
  <match targe
<fontconfig>
  <match target="font">
    <edit name="rgba" mode="assign">
      <const>none</const>
    </edit>
  </match>
</fontconfig>


2.  Per risolvere problemi di rendering su Chromium come descritto in QUESTO POST (https://bbs.archlinux.org/viewtopic.php?pid=1344172#p1344172), editare il file /etc/fonts/fonts.conf e decommentate le seguenti righe,

da così:
Codice: [Seleziona]
<!--match target="pattern">
<edit name="dpi" mode="assign">
<double>72</double>
</edit>
</match-->

a così:
Codice: [Seleziona]
<match target="pattern">
<edit name="dpi" mode="assign">
<double>72</double>
</edit>
</match>


3.   Chi usa Emacs ha riportato problemi dopo aver installato infinality-fonts riguardo ai default variable pitch typeface.
Per risolvere e far funzionare correttamente Emacs con i font free, dovete specificare una "variable pitch family" in $HOME/.emacs.

Esempio:
Codice: [Seleziona]
(custom-set-faces
 '(default ((t (:family "Liberation Mono" :slant normal :weight regular :height 98))))
 '(variable-pitch ((t (:family "Liberation Sans" :slant normal :weight regular :height 98 )))))



4.Se installando un pacchetto (tipo libgdiplus) al di fuori di quelli presenti nel bundle, ricevete un errore del tipo:
Codice: [Seleziona]
:: cairo e cairo-infinality-ultimate vanno in conflitto. Rimuovere cairo-infinality-ultimate? [S/N] n
errore: impossibile eseguire l'operazione richiesta (impossibile soddisfare le dipendenze)

Rispondete NO e installate il pacchetto in questione con questo comando:
Codice: [Seleziona]
sudo pacman -Sd nome_pacchetto


5. Se si verificano problemi generali con i font (ad esempio alcuni glifi non vengono caricati in documenti PDF, mentre i font in questione sono installati correttamente), lanciate questo comando:
Codice: [Seleziona]
sudo fc-cache -fr
Questo eliminerà l'intera cache dei font e la ricreerà da zero.
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: FranzMari - 07 Febbraio 2014 ore 11:28
Grazie UTG!!   :D
Ottima guida, provo subito  ;D
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: alex - 07 Febbraio 2014 ore 14:24
Grande! la guida definitiva sui font direi  :beer:
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: DottorGab - 07 Febbraio 2014 ore 14:57
Provata su Arch con Gnome ed il miglioramento c'è e di parecchio direi, se riesco ora impostare bene anche i driver open ati sono a cavallo dopo tanti sbatti con Linux
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: FranzMari - 07 Febbraio 2014 ore 15:12
Che accade?
Codice: [Seleziona]
errore: impossibile scaricare il pacchetto 'freetype2-infinality-ultimate-2.5.2-3-x86_64.pkg.tar.xz' da dl.dropboxusercontent.com : Maximum file size exceeded
attenzione: impossibile scaricare alcuni file
errore: impossibile eseguire l'operazione richiesta (si è verificato un errore della libreria di download)
Si sono verificati degli errori, nessun pacchetto è stato aggiornato.
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: UnderTheGun - 07 Febbraio 2014 ore 16:28
Che accade?
Codice: [Seleziona]
errore: impossibile scaricare il pacchetto 'freetype2-infinality-ultimate-2.5.2-3-x86_64.pkg.tar.xz' da dl.dropboxusercontent.com : Maximum file size exceeded
attenzione: impossibile scaricare alcuni file
errore: impossibile eseguire l'operazione richiesta (si è verificato un errore della libreria di download)
Si sono verificati degli errori, nessun pacchetto è stato aggiornato.

mmmmmmmh.... strano.....non capisco cosa intenda per "Maximum file size exceeded"  :-\ .....Stasera o domani mattina cerco di sistemare il tutto.

Scusate per l'attesa....un pò di pazienza e cerco di risolvere :) !

Questi pacchetti patchati sono davvero il TOP!!
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: DottorGab - 07 Febbraio 2014 ore 20:45
Domanda, c'è un modo per non dover tutte le volte dover far apparire ed eseguire questo?
Codice: [Seleziona]
Vuoi sostituire cantarell-fonts con infinality-bundle-fonts/t1-cantarell-ib? [S/n] n
:: Vuoi sostituire ttf-droid con infinality-bundle-fonts/ttf-droid-ib? [S/n] n
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: dinolib - 07 Febbraio 2014 ore 23:03
Domanda, c'è un modo per non dover tutte le volte dover far apparire ed eseguire questo?
Codice: [Seleziona]
Vuoi sostituire cantarell-fonts con infinality-bundle-fonts/t1-cantarell-ib? [S/n] n
:: Vuoi sostituire ttf-droid con infinality-bundle-fonts/ttf-droid-ib? [S/n] n
... rispondere S?  ;D
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: dinolib - 07 Febbraio 2014 ore 23:16
Stavo facendo delle prove, ma non mi riesce a installarlo a causa delle lib32 che richiedono la versione 2.4 (e invece con il bundle siamo alla 2.5.2.
Che tu sappia c'è anche un repo per il 32bit o devo eliminare i pacchetti a 32bit (non mi ricordo manco cosa avevo installato)?

EDIT: al momento ho "risolto" rimuovendo wine skype e lib32-flashplugin (con relative dipendenze) ...  :'(
EDIT2: adesso becco lo stesso errore di Franz nel download da dropbox  >:(  attendo notizie  ;D
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: dinolib - 08 Febbraio 2014 ore 06:56
Mi rispondo da solo:

- il problema di dropbox al momento l'ho risolto con wget:
wget https://dl.dropboxusercontent.com/u/66275722/chakra-infinality-bundle/freetype2-infinality-ultimate-2.5.2-3-x86_64.pkg.tar.xz
ho installato con pacman -U. Gli altri due pacchetti si sono invece correttamente installati dal repo.

- per le lib32 invece ancora niente (in installazione suggerisce di usare lib32-freetype2-infinality-ultimate, ma in realtà queste non ci sono  :'()
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: DottorGab - 08 Febbraio 2014 ore 07:31
... rispondere S?  ;D

Così però perderei i font appena installati vero?
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: whoami - 08 Febbraio 2014 ore 09:02
I font sono gli stessi, solo patchati per rendere meglio con infinality , quindi vai tranquillo!
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: dongogo - 08 Febbraio 2014 ore 14:35
sudo  fc-presets set
è andato tutto a buon fine con il consiglio di dinolib utilizzando wget:, ma ho questo problema
Codice: [Seleziona]
[donato@chakra-pc ~]$ sudo  fc-presets set
sudo: fc-presets: comando non trovato

Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: UnderTheGun - 08 Febbraio 2014 ore 17:47
@ TUTTI: stò risolvendo il problema!!! Domani sarà tutto ok !! spero.... ^^


Che tu sappia c'è anche un repo per il 32bit o devo eliminare i pacchetti a 32bit (non mi ricordo manco cosa avevo installato)?

SI esiste! Lo carico stasera!!!  :D :D
Così TUTTI i programmi a 32 bit girano perfettamente!!
Datemi un giorno di tempo e sistemo tutto!! ^^
Ne vale veramente la pena! Avremmo finalmente risolto tutti i problemi di rendering dei font! Questo bundle è grandioso...Su Arch lo uso sempre...ed è per questo che mi sto adoperando per portarlo anche su Chakra!!

Domanda, c'è un modo per non dover tutte le volte dover far apparire ed eseguire questo?
Codice: [Seleziona]
Vuoi sostituire cantarell-fonts con infinality-bundle-fonts/t1-cantarell-ib? [S/n] n
:: Vuoi sostituire ttf-droid con infinality-bundle-fonts/ttf-droid-ib? [S/n] n
NO! Devi dare Si a tutte le domande!
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: UnderTheGun - 08 Febbraio 2014 ore 17:55
EDIT: CONFIGURAZIONE aggiornata e ultimata!

@ TUTTI: ho risolto il problema!!! !! Adesso potete installare il bundle tranquillamente ^^ !!!!!!!!!!!!!!
Domani sera upperò anche il repo "multilib" per le lib32; così anche Skype e compagnia bella funzioneranno senza problemi!!!

Mi rispondo da solo:

- il problema di dropbox al momento l'ho risolto con wget:
wget https://dl.dropboxusercontent.com/u/66275722/chakra-infinality-bundle/freetype2-infinality-ultimate-2.5.2-3-x86_64.pkg.tar.xz
ho installato con pacman -U. Gli altri due pacchetti si sono invece correttamente installati dal repo.

- per le lib32 invece ancora niente (in installazione suggerisce di usare lib32-freetype2-infinality-ultimate, ma in realtà queste non ci sono  :'()

Prova ora Dino ad installarle direttamente dal repo con :
Codice: [Seleziona]
sudo pacman -S freetype2-infinality-ultimate
Per quanto riguarda le lib32 stasera/domani arrivano !!!!!!!!!!  :D :D
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: UnderTheGun - 09 Febbraio 2014 ore 03:01
A tempo di record, ecco a voi anche il...Repo MULTILIB  :beer: :beer:

Aggiungetelo, con privilegi di root, al file /etc/pacman.conf:

Codice: [Seleziona]
[chakra-infinality-bundle-multilib]
Server = https://dl.dropboxusercontent.com/u/66275722/chakra-infinality-bundle-multilib/
SigLevel = Never

 :D :D


Mi ero dimenticato di dirvi una cosa:

MOLTO IMPORTANTE: se di un font esiste sia la versione sui repository ufficiali (e/o su CCR) sia una versione sul nostro repo "infinality-bundle-fonts", installate SEMPRE la 2°, cioè LA VERSIONE infinality-ultimate!!! Mi raccomando!! Questo serve per avere una resa ancora più ottimale col nostro bundle!!!

Per controllare TUTTI i font nel repo infinality-ultimate lanciate:
Codice: [Seleziona]
sudo pacman -Sl infinality-bundle-fontse ri-installate da qui le versioni dei font che avete già sul pc.


Ora vi chiedo io però un favore  :).....C'è una buon anima che ha voglia di tradurre tutta la mia guida in inglese per metterla sul wiki e postarla anche nel forum in inglese di Chakra??
Dobbiamo diffondere questo bundle a tutti i chakra users!!
Non è perchè non mi riesca ma perchè non ho molto tempo...casomai possiamo fare 50 e 50 della traduzione....Fatemi sapere!

EDIT 2: siccome avere dei font belli e leggibili è molto importante e tutte le distro Arch-based di base non hanno proprio un bel rendering, chiedo ai moderatori la possibilità di mettere in evidenza questo post. Fatemi sapere.
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: DottorGab - 09 Febbraio 2014 ore 08:17
Grazie ancora, ho solo qualche dubbio:
ho dato
Codice: [Seleziona]
sudo pacman -S infinality-bundle-fonts e ho installato tutto sostituendo se era necessario. Il problema delle appicazioni a 32 bit riguarda solo Chakra o tutte le Arch?

Le varie impostazioni che hai scritto nel main del post, sono falcoltative, nel senso che se a me già piacciono così li tengo così senza avere limitazioni

Agg: ho fatto dei pasticci, mi potreste dire quali sono i font più gradevoli per queste impostazioni:
titolo finestre
interfaccia
documenti
spaziatura
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: dongogo - 09 Febbraio 2014 ore 10:46
Ok  :-* ma ho questo problema:
Codice: [Seleziona]
[donato@chakra-pc ~]$ sudo pacman -S chakra-infinality-bundle-multilib
:: Ci sono 3 membri nel gruppo chakra-infinality-bundle-multilib:
:: Repository chakra-infinality-bundle-multilib
   1) lib32-cairo-infinality-ultimate  2) lib32-fontconfig-infinality-ultimate  3) lib32-freetype2-infinality-ultimate

Digita una selezione (default=tutto):
risoluzione delle dipendenze in corso...
ricerca dei conflitti in corso...
:: libgl e nvidia-utils vanno in conflitto. Vuoi rimuovere nvidia-utils? [s/N] s
errore: impossibile eseguire l'operazione richiesta (impossibile soddisfare le dipendenze)
:: nvidia: richiede nvidia-utils=331.20

Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: UnderTheGun - 09 Febbraio 2014 ore 13:04
Ok  :-* ma ho questo problema:
Codice: [Seleziona]
[donato@chakra-pc ~]$ sudo pacman -S chakra-infinality-bundle-multilib
:: Ci sono 3 membri nel gruppo chakra-infinality-bundle-multilib:
:: Repository chakra-infinality-bundle-multilib
   1) lib32-cairo-infinality-ultimate  2) lib32-fontconfig-infinality-ultimate  3) lib32-freetype2-infinality-ultimate

Digita una selezione (default=tutto):
risoluzione delle dipendenze in corso...
ricerca dei conflitti in corso...
:: libgl e nvidia-utils vanno in conflitto. Vuoi rimuovere nvidia-utils? [s/N] s
errore: impossibile eseguire l'operazione richiesta (impossibile soddisfare le dipendenze)
:: nvidia: richiede nvidia-utils=331.20

Ho capito dove sta il problema. È un problema di nomi dei pacchetti. Su Arch il pacchetto nvidia-utils è splittato in 3 pacchetti.....Mi devi dare un giorno di tempo e sistemo.
Torna Lunedì a vedere se ho risolto. OK?
Grazie mille della segnalazione!!  :)

Grazie ancora, ho solo qualche dubbio:
ho dato
Codice: [Seleziona]
sudo pacman -S infinality-bundle-fonts e ho installato tutto sostituendo se era necessario. Il problema delle appicazioni a 32 bit riguarda solo Chakra o tutte le Arch?

Le varie impostazioni che hai scritto nel main del post, sono falcoltative, nel senso che se a me già piacciono così li tengo così senza avere limitazioni

Agg: ho fatto dei pasticci, mi potreste dire quali sono i font più gradevoli per queste impostazioni:
titolo finestre
interfaccia
documenti
spaziatura

Hai installato TUTTI i fonts???  :o :o :o :o :o :o
Ma non ho scritto da nessuna parte di farlo!!!!!!!!!!!!!!!
Cavolo....è una cosa sconsigliata installare così tanti fonts....Che poi magari ne userai la metà se va bene.
Dovete leggerle bene le guide! Altrimenti rischiate di fare questi casini!
Il comando:
Codice: [Seleziona]
sudo pacman -S infinality-bundle-fontsnon è relativo alle applicazione che sfruttano le lib32 come Skype o Wine, è il repository di TUTTI i font patchati per essere più performanti col nostro Chakra-infinality-bundle!

Se vuoi aggiungere le lib32 devi lanciare:
Codice: [Seleziona]
sudo pacman -S chakra-infinality-bundle-multilib
Io fossi in te eliminerei qualche font installato.
Dai un bel
Codice: [Seleziona]
sudo pacman -Qs infinality-bundle-fontse copiami qui il risultato.
Così vediamo di togliere qualche font per alleggerire il sistema.

Per quanto riguarda:
titolo finestre
interfaccia
documenti
spaziatura

cosa intendi?

Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: UnderTheGun - 09 Febbraio 2014 ore 17:54
Basta OT cavolo!!!   >:(
Stiamo (e mi ci metto anch'io) sporcando questo post.
Qualche mod può ripulirlo per favore?

AGGIORNAMENTO:
Ho risolto il problema delle lib32, cioè del repo "chakra-infinality-bundle-multilib"

Per installare anche le librerie per Skype, Wine etc aprite pacman.conf
Codice: [Seleziona]
kdesu kate /etc/pacman.confe aggiungete in fondo questo:
Codice: [Seleziona]
[chakra-infinality-bundle-multilib]
Server = https://dl.dropboxusercontent.com/u/66275722/chakra-infinality-bundle-multilib/
SigLevel = Never

Ora lanciate
Codice: [Seleziona]
sudo pacman -Syyu
E per installare le lib32 lanciate:
Codice: [Seleziona]
sudo pacman -S chakra-infinality-bundle-multilibe premete INVIO!


Se vi appare un messagio del tipo:
Codice: [Seleziona]
:: Il file /var/cache/pacman/pkg/lib32-cairo-infinality-ultimate-1.12.16-3-x86_64.pkg.tar.xz è corrotto (il pacchetto non è valido oppure è corrotto (verifica dell'integrità)).
Vuoi eliminarlo? [S/n]
Date si.
 Vi darà comunque un errore:
Codice: [Seleziona]
errore: impossibile eseguire l'operazione richiesta (il pacchetto non è valido oppure è corrotto (verifica dell'integrità))
Si sono verificati degli errori, nessun pacchetto è stato aggiornato.
Nessun problema.
Ora lanciate
Codice: [Seleziona]
sudo pacman -Syy chakra-infinality-bundle-multilibe premete INVIO!

Fatto!

IMPORTANTE
: per chi avesse già installato il bundle multilib (prima delle ore 17 di oggi domenica 9 febbraio) consiglio di rimuovere lib32-cairo-infinality-ultimate. Poichè l'ho cambiato.

Per farlo lanciate:
Codice: [Seleziona]
sudo pacman -Rs lib32-cairo-infinality-ultimateE date SI!

Ora lanciate
Codice: [Seleziona]
sudo pacman -Syyu lib32-cairo-infinality-ultimatee abbiamo finito!
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: FranzMari - 09 Febbraio 2014 ore 18:47
@UTG
Ti consiglio di aggiungere quanto hai scritto negli ultimi messaggi al primo post, così è più semplice seguire la guida  ;)
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: dinolib - 09 Febbraio 2014 ore 18:50
Qualche mod può ripulirlo per favore?
+1
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: UnderTheGun - 09 Febbraio 2014 ore 18:54
@ Dino.

Tutto ok con il bundle e il bundle-multilib ??
Fammi sapere. Più feedback ho meglio è ! ^^
Perchè ho aggiornato il mio repo pochi minuti fa!
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: FranzMari - 09 Febbraio 2014 ore 18:58
Topic ripulito  8)
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: pico - 09 Febbraio 2014 ore 19:25
Ho provato ad installare ma ho qualche piccolo problema, credo ci sia da sistemare qualche dipendenza, ti riporto gli errori che mi dà:

Codice: [Seleziona]
sudo pacman -S chakra-infinality-bundle
:: Ci sono 3 membri nel gruppo chakra-infinality-bundle:
:: Repository chakra-infinality-bundle
   1) cairo-infinality-ultimate  2) fontconfig-infinality-ultimate  3) freetype2-infinality-ultimate

Digita una selezione (default=tutto):
risoluzione delle dipendenze in corso...
ricerca dei conflitti in corso...
:: freetype2-infinality-ultimate e freetype2 vanno in conflitto. Vuoi rimuovere freetype2? [s/N] s
:: fontconfig-infinality-ultimate e fontconfig vanno in conflitto. Vuoi rimuovere fontconfig? [s/N] s
:: cairo-infinality-ultimate e cairo vanno in conflitto. Vuoi rimuovere cairo? [s/N] s
errore: impossibile eseguire l'operazione richiesta (impossibile soddisfare le dipendenze)
:: lib32-cairo: richiede cairo=1.12.14
:: lib32-fontconfig: richiede fontconfig=2.10.93
:: lib32-freetype2: richiede freetype2=2.4.11

Codice: [Seleziona]
sudo pacman -Syyu lib32-cairo-infinality-ultimate
:: Sincronizzazione dei database in corso...
 lib32                                    38,0 KiB   213K/s 00:00 [####################################] 100%
 core                                     59,6 KiB   528K/s 00:00 [####################################] 100%
 platform                                252,3 KiB   620K/s 00:00 [####################################] 100%
 desktop                                 178,8 KiB   847K/s 00:00 [####################################] 100%
 apps                                    179,1 KiB   837K/s 00:00 [####################################] 100%
 games                                    38,2 KiB   830K/s 00:00 [####################################] 100%
 extra                                    12,0 KiB  1001K/s 00:00 [####################################] 100%
 chakra-infinality-bundle                  6,8 KiB  0,00B/s 00:00 [####################################] 100%
 chakra-infinality-bundle-multilib         2,3 KiB  0,00B/s 00:00 [####################################] 100%
 infinality-bundle-fonts                  50,6 KiB  91,2K/s 00:01 [####################################] 100%
:: Aggiornamento del sistema in corso...
risoluzione delle dipendenze in corso...
ricerca dei conflitti in corso...
:: freetype2-infinality-ultimate e freetype2 vanno in conflitto. Vuoi rimuovere freetype2? [s/N] s
:: lib32-freetype2-infinality-ultimate e lib32-freetype2 vanno in conflitto. Vuoi rimuovere lib32-freetype2? [s/N] s
:: fontconfig-infinality-ultimate e fontconfig vanno in conflitto. Vuoi rimuovere fontconfig? [s/N] s
:: lib32-fontconfig-infinality-ultimate e lib32-fontconfig vanno in conflitto. Vuoi rimuovere lib32-fontconfig? [s/N] s
:: cairo-infinality-ultimate e cairo vanno in conflitto. Vuoi rimuovere cairo? [s/N] s
:: lib32-cairo-infinality-ultimate e lib32-cairo vanno in conflitto. Vuoi rimuovere lib32-cairo? [s/N] s
errore: impossibile eseguire l'operazione richiesta (impossibile soddisfare le dipendenze)
:: lib32-pango: richiede lib32-freetype2>=2.4.2

Non ho fatto altro o provato a forzare nulla.

Grazie mille per l'ottimo lavoro comunque, sono molto curioso di vedere il risultato, anche perché non so bene cosa devo aspettarmi  ;D

Se ti serve altro chiedi pure!


Edit: piccola domanda: le configurazioni è obbligatorio farle o funziona già tutto una volta installato e riavviato? Nella parte in cui si sceglie ad esempio tra 2)ms e 3)free, se seleziono 2 perché ad esempio ho installato con wine qualche programma d windows, la configurazione vale anche per gli altri font di sistema, cioè come se avessi selezionato 3, o è meglio selezionare la 3 e basta? Abbi pazienza ho un po' di confusione  ???
Grazie per l'aiuto!
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: dinolib - 09 Febbraio 2014 ore 19:38
@UTG: a casa avevo tolto il multilib. Se ho tempo al lavoro metto su i font. Ma ultimamente ho giornate "infuocate" e non ho molto tempo. Ho ancora da aggiornare Draftsight :(  Vediamo come va.

Per quanto riguarda le dipendenze: mi sembra che andavano messe tutte e tre le paroline magiche (le hai messe?):
conflicts
provides
replace

In tal modo "penso" pacman vedrà i nuovi pacchetti come sostitutivi dei precedenti.
Sinceramente fra provides e replaces non ho ancora capito la differenza...  :-\
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: ronnydaca - 09 Febbraio 2014 ore 20:17
Sarebbe bello anche vedere qualche screenshot. Io al momento uso infinality liscio e con setting di default. Mi pare tutto perfetto ma se dagli screenshot vedessi migliorie cambierei :)
Al momento uso deja vu come font di sistema e anche libreoffice mi fa veder bene times new roman, che senza infinality era una roba inguardabile.
Quindi, "scattate" se potete :)
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: UnderTheGun - 09 Febbraio 2014 ore 20:50
Ho provato ad installare ma ho qualche piccolo problema, credo ci sia da sistemare qualche dipendenza, ti riporto gli errori che mi dà:

Codice: [Seleziona]
sudo pacman -S chakra-infinality-bundle
:: Ci sono 3 membri nel gruppo chakra-infinality-bundle:
:: Repository chakra-infinality-bundle
   1) cairo-infinality-ultimate  2) fontconfig-infinality-ultimate  3) freetype2-infinality-ultimate

Digita una selezione (default=tutto):
risoluzione delle dipendenze in corso...
ricerca dei conflitti in corso...
:: freetype2-infinality-ultimate e freetype2 vanno in conflitto. Vuoi rimuovere freetype2? [s/N] s
:: fontconfig-infinality-ultimate e fontconfig vanno in conflitto. Vuoi rimuovere fontconfig? [s/N] s
:: cairo-infinality-ultimate e cairo vanno in conflitto. Vuoi rimuovere cairo? [s/N] s
errore: impossibile eseguire l'operazione richiesta (impossibile soddisfare le dipendenze)
:: lib32-cairo: richiede cairo=1.12.14
:: lib32-fontconfig: richiede fontconfig=2.10.93
:: lib32-freetype2: richiede freetype2=2.4.11

Allora per risolvere prova così, lancia prima questo:
Codice: [Seleziona]
sudo pacman -R lib32-freetype2 lib32-fontconfig lib32-cairo
Poi per installare sia il blundle sia il bundle-multilib (lib32) lancia
Codice: [Seleziona]
sudo pacman -S chakra-infinality-bundle chakra-infinality-bundle-multilibFammi sapere!

Citazione
Edit: piccola domanda: le configurazioni è obbligatorio farle o funziona già tutto una volta installato e riavviato? Nella parte in cui si sceglie ad esempio tra 2)ms e 3)free, se seleziono 2 perché ad esempio ho installato con wine qualche programma d windows, la configurazione vale anche per gli altri font di sistema, cioè come se avessi selezionato 3, o è meglio selezionare la 3 e basta? Abbi pazienza ho un po' di confusione  ???
Grazie per l'aiuto!
La configurazione è necessaria solo se il risultato non ti piace e usi i font proprietari della Microsoft!
I programmi installati da Wine non fanno testo ;).
Per capirci se hai installato ttf-win7-fonts da ccr oppure hai installato a mano i font proprietari (Arial, Times New Roman etc) allora devi scegliere di settare MS. Altrimenti puoi saltare il primo passaggio della configurazione.
Ma ti consiglio di fare almeno i punti 3 e 4. Ci vuole 1 minuto ;).
E se poi non ti piace segui anche il punto 2 della Configurazione.
Fammi sapere.


Topic ripulito  8)
Mille grazie.

@UTG: a casa avevo tolto il multilib. Se ho tempo al lavoro metto su i font. Ma ultimamente ho giornate "infuocate" e non ho molto tempo. Ho ancora da aggiornare Draftsight :(  Vediamo come va.

Per quanto riguarda le dipendenze: mi sembra che andavano messe tutte e tre le paroline magiche (le hai messe?):
conflicts
provides
replace

In tal modo "penso" pacman vedrà i nuovi pacchetti come sostitutivi dei precedenti.
Sinceramente fra provides e replaces non ho ancora capito la differenza...  :-\

Si si, ci sono stato attento ;). Ora verifico se col comando dato sopra Pico risolve ^^.
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: whoami - 09 Febbraio 2014 ore 22:43
(http://i61.tinypic.com/2q1gzkz.png) senza il bundle

(http://i58.tinypic.com/ogm1bs.png) con il bundle

...non cambia granchè con freeserif come font e free come preset, hinting moderato
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: dinolib - 09 Febbraio 2014 ore 23:04
Allora per risolvere prova così, lancia prima questo:
Codice: [Seleziona]
sudo pacman -R lib32-freetype2 lib32-fontconfig lib32-cairo

Se ci sono dipendenze forse meglio usare -Rdd  ;)
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: pico - 09 Febbraio 2014 ore 23:47
Eccomi scusate il ritardo!

Citazione
Allora per risolvere prova così, lancia prima questo:
Codice: [Seleziona]
sudo pacman -R lib32-freetype2 lib32-fontconfig lib32-cairo

Poi per installare sia il blundle sia il bundle-multilib (lib32) lancia
Codice: [Seleziona]
sudo pacman -S chakra-infinality-bundle chakra-infinality-bundle-multilib
Fammi sapere!

Allora ho provato con quei due comandi (ho utilizzato -Rdd per sicurezza ma non è cambiato nulla) e ha funzionato senza problemi, ho installato tutto e riavviato X. Al momento in effetti sembra un po' migliorata la situazione, anche se forse è solo suggestione  :-[

Appena ho tempo provo a smanettare un po' con le configurazioni e vi faccio avere le mie impressioni!
Grazie mille!!!  :beer:
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: UnderTheGun - 10 Febbraio 2014 ore 00:44
@    whoami

La differenza non la noti molto sui caratteri di Dolphin o sui plasmoidi, la noti molto sui browser, sui documenti etc.
Se prima usavi già infinality le differenze ci sono ma NON così evidenti, risultano evidenti tra un installazione fresca di chakra senza nulla e dopo con il bundle ;).

Questo bundle altro non è che una versione di infinality "installa tutto in una volta" con ulteriori patch!
Sul forum di Arch sono molti a congratularsi con Bohoomil ;), dacci un occhio : qui (https://bbs.archlinux.org/viewtopic.php?id=162098)  :)

Un consiglio per tutti: è buona regola, per risultati migliori, utilizzare in impostazioni di sistema > Aspetto delle applicazioni > Caratteri, i font patchati presenti nel repo infinality-bundle-fonts!!

Se ci sono dipendenze forse meglio usare -Rdd  ;)
Si, hai ragione, dimenticanza mia.  ;)


Eccomi scusate il ritardo!

Allora ho provato con quei due comandi (ho utilizzato -Rdd per sicurezza ma non è cambiato nulla) e ha funzionato senza problemi, ho installato tutto e riavviato X. Al momento in effetti sembra un po' migliorata la situazione, anche se forse è solo suggestione  :-[

Appena ho tempo provo a smanettare un po' con le configurazioni e vi faccio avere le mie impressioni!
Grazie mille!!!  :beer:

Bene!
Grazie mille per aver segnalato il tuo problema!  :D

Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: dinolib - 17 Febbraio 2014 ore 12:54
ciao UTG, scusa se rompo again.
Con l'ultimo grosso aggiornamento approdato in testing (e immagino a breve in stable) per procedere sono stato obbligato a rimuovere i pacchetti infinity, altrimenti ottenevo sempre i soliti errori:
Codice: [Seleziona]
ricerca dei conflitti in corso...
:: freetype2 e freetype2-infinality-ultimate vanno in conflitto. Vuoi rimuovere freetype2-infinality-ultimate? [s/N] n
errore: sono stati rilevati dei conflitti irrisolvibili tra i pacchetti
errore: impossibile eseguire l'operazione richiesta (dipendenze in conflitto)


non mi spiego come mai, ma ancora non fila liscio  :'(

ah: sai per caso perchè ad ogni pacman -Syu riscarica i repository di  chakra-infinality-bundle e chakra-infinality-bundle-multilib?
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: UnderTheGun - 17 Febbraio 2014 ore 14:03
ciao UTG, scusa se rompo again.
Con l'ultimo grosso aggiornamento approdato in testing (e immagino a breve in stable) per procedere sono stato obbligato a rimuovere i pacchetti infinity, altrimenti ottenevo sempre i soliti errori:
Codice: [Seleziona]
ricerca dei conflitti in corso...
:: freetype2 e freetype2-infinality-ultimate vanno in conflitto. Vuoi rimuovere freetype2-infinality-ultimate? [s/N] n
errore: sono stati rilevati dei conflitti irrisolvibili tra i pacchetti
errore: impossibile eseguire l'operazione richiesta (dipendenze in conflitto)


non mi spiego come mai, ma ancora non fila liscio  :'(

ah: sai per caso perchè ad ogni pacman -Syu riscarica i repository di  chakra-infinality-bundle e chakra-infinality-bundle-multilib?

Guarda  qui (http://forum.chakra-project.it/index.php/topic,6123.msg49432.html#msg49432).

Può succedere! È un piccolo problema noto! Succede anche su ARch. Con che pacchetto te lo ha fatto?
Mica con tutti?  :o


Comunque fai così per risolvere:


2.Se installando un pacchetto (tipo libgdiplus) al di fuori di quelli presenti nel bundle, ricevete un errore del tipo:
Codice: [Seleziona]
:: cairo e cairo-infinality-ultimate vanno in conflitto. Rimuovere cairo-infinality-ultimate? [S/N] n
errore: impossibile eseguire l'operazione richiesta (impossibile soddisfare le dipendenze)

Rispondete NO e installate il pacchetto in questione con questo comando:
Codice: [Seleziona]
sudo pacman -Sd nome_pacchetto
Succede perchè alcuni pacchetti hanno freetype2 come dipendenza...ma siccome lo abbiamo sostituito con freetype2-infinality-ultimate a lui sembra che non ci sia e vuole installarlo...Ma ovviamente freetype2 ce lo abbiamo sul pc...solo che è patchato!!


Citazione
ah: sai per caso perchè ad ogni pacman -Syu riscarica i repository di  chakra-infinality-bundle e chakra-infinality-bundle-multilib?

Nel senso che riscarica il database?? È normale.
Non dovrebbe? Ora mi hai messo il dubbio... :D
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: dinolib - 17 Febbraio 2014 ore 14:27
No, non è normale che ogni volta scarica l'elenco se non è cambiato nulla. Ma sinceramente non so come evitarlo.
infinality-bundle-fonts funziona correttamente. Ah, forse è dovuto al fatto che dropbox non permette il listing del folder?

Per quanto riguarda gli aggiornamenti usavo il force (che non serve a niente!), grazie mettero l'opzione d che salta i controlli.
A 'sto giro ha aggiornato davvero tanta roba, non saprei dirti cosa andava in conflitto (purtroppo presenta la lista di pacchetti da aggiornare solo dopo il controllo dei conflitti). Posteresti il PKGBUILD di uno dei pacchetti, per esempio freetype2-infinality-ultimate? Vorrei vedere come sono impostate le dipendenze  ;D
Ricordo che tempo fa anche con i driver video c'erano strani conflitti e si doveva usare Rdd (fra open e closed). Ora si sostituiscono automaticamente seguendo le dipendenze (intendo che installando i driver closed ti chiede di rimuovere quelli open e viceversa senza dover fare altre rimozioni forzate manuali)
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: UnderTheGun - 18 Febbraio 2014 ore 00:01
AGGIORNAMENTO IMPORTANTE

In questi giorni il repo subirà delle modifiche!!


Numero 1#

Per prima cosa i pacchetti verranno scalati di release. cioè passeranno tutti alla release 1.
La versione sarà invece la stessa.

Per esempio:
Citazione

cairo-infinality-ultimate-1.12.16-3-x86_64.pkg

diventerà

Citazione
cairo-infinality-ultimate-1.12.16-1-x86_64.pkg

Faccio questo per seguire le giuste linee guida per mantenere dei pacchetti su Chakra!!
Essendo questo bundle la prima release per Chakra!

Ci tengo a precisare che si tratta di numerazione!! I pacchetti rimarranno (e sono) lo stesso aggiornati all'ultima versione disponibile!!


Numero 2#

Da ora in poi i pacchetti, per motivi di sicurezza, saranno firmati!!

Quindi per poter continuare ad usare questo repo dovete aggiungere la nuova chiave a quelle esistenti di Pacman. Poi vi fornirò tutti i dati  e come farlo.



Numero 3#

Tutti i pacchetti sono stati ricompilati su Chakra in un ambiente chroot pulito!!!


Per ora credo sia tutto....

STAY TUNED!!
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: alex - 20 Febbraio 2014 ore 01:48
Guida perfetta, potevi fare meglio di così solo venendo a casa mia a farlo tu...  ;D 
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: UnderTheGun - 20 Febbraio 2014 ore 02:12
Guida perfetta, potevi fare meglio di così solo venendo a casa mia a farlo tu...  ;D

Ahahahaha mille grazie Alex.
Tieni d'occhio questo topic, appena risolvo un paio di cose aggiornerò e firmerò i nuovi pacchetti. Quindi dovrai poi fare delle piccole modifiche. Nulla di che  :). Ma ogni 4-5 giorni buttaci un occhio, ok? ;)
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: loken - 20 Febbraio 2014 ore 21:47
ragazzi, ho eseguito tutto alla lettera ma ora, ho dei problemi di visualizzazione in tutta la distro, o caratteri troppo grandi o troppo piccoli.
e possibile tornare indietro?
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: UnderTheGun - 20 Febbraio 2014 ore 21:58
ragazzi, ho eseguito tutto alla lettera ma ora, ho dei problemi di visualizzazione in tutta la distro, o caratteri troppo grandi o troppo piccoli.
e possibile tornare indietro?

Certo.

Codice: [Seleziona]
sudo pacman -Rdd cairo-infinality-ultimate fontconfig-infinality-ultimate freetype2-infinality-ultimate
poi
Codice: [Seleziona]
sudo pacman -S fontconfig freetype2 cairo
Se hai installato anche il bundle multilib dai anche questo:

Codice: [Seleziona]
sudo pacman -Rdd lib32-freetype2-infinality-ultimate  lib32-fontconfig-infinality-ultimate lib32-cairo-infinality-ultimate
e poi
Codice: [Seleziona]
sudo pacman lib32-fontconfig lib32-freetype2 lib32-cairo
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: UnderTheGun - 20 Febbraio 2014 ore 22:06
AGGIORNAMENTO



AGGIORNAMENTO IMPORTANTE

Ho aggiornato il repo "chakra-infinality-bundle "


Numero 1#

Per prima cosa i pacchetti sono stati scalati di release. cioè sono passati tutti alla release 1.
La versione invece è la stessa.

Faccio questo per seguire le giuste linee guida per mantenere dei pacchetti su Chakra!!
Essendo questo bundle la prima release per Chakra!

Ci tengo a precisare che si tratta di numerazione!! I pacchetti rimarranno (e sono) lo stesso aggiornati all'ultima versione disponibile!!


Numero 2#

Da ora in poi i pacchetti, per motivi di sicurezza, sono firmati!!

Quindi per poter continuare ad usare questo repo dovete aggiungere la nuova chiave a quelle esistenti di Pacman.

Fate così:


Lanciare un bel:
Codice: [Seleziona]
sudo pacman-key --init
Aprite e controllate che nel file /etc/pacman.d/gnupg/gpg.conf ci sia questo server:
Codice: [Seleziona]
keyserver hkp://pool.sks-keyservers.net
E poi:
Codice: [Seleziona]
sudo pacman -Syy
Ora aggiungiamo questa chiave, per motivi di sicurezza ho firmato il pacchetto:
Codice: [Seleziona]
sudo pacman-key -r 7492623D
Ok. Ora abbiamo installato la chiave.

Aggiorniamo il repo ed installiamo i nuovi pacchetti:
Codice: [Seleziona]
sudo pacman -Syy infinality-bundle infinality-bundle-multilib
e date si!!

Fatto!
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: pico - 21 Febbraio 2014 ore 00:32
Ciao UTG ti segnalo un paio di cose: questo pacchetto non è alla versione xxx-1, forse è voluto ma te lo segnalo: lib32-cairo-infinality-ultimate-1.12.16-3

Inoltre io il file /etc/pacman.d/gnupg/gpg.conf non ce l'avevo perchè non avevo mai dato il comando sudo pacman-key --init. Visto che potrebbe creare confusione nella guida forse è meglio se scrivi prima di dare quel comando e poi di controllare che ci sia il server keyserver hkp://pool.sks-keyservers.net, se no succede come a me e trovano un file vuoto ;-)

L'aggiornamento comunque è andato a buon fine senza problemi  :beer:
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: UnderTheGun - 21 Febbraio 2014 ore 01:00
Ciao UTG ti segnalo un paio di cose: questo pacchetto non è alla versione xxx-1, forse è voluto ma te lo segnalo: lib32-cairo-infinality-ultimate-1.12.16-3



Si, purtroppo quel pacchetto non ho potuto ancora compilarlo su hakra :(. Ci sto smattando da giorni...Non c'è verso...Così ho preso quello compilato su Arch..se da problemi fammi sapere.
Citazione
Inoltre io il file /etc/pacman.d/gnupg/gpg.conf non ce l'avevo perchè non avevo mai dato il comando sudo pacman-key --init. Visto che potrebbe creare confusione nella guida forse è meglio se scrivi prima di dare quel comando e poi di controllare che ci sia il server keyserver hkp://pool.sks-keyservers.net, se no succede come a me e trovano un file vuoto ;-)

Giustissimo!  Bravo, ottima segnalazione!!!!! +1  :)

Citazione
L'aggiornamento comunque è andato a buon fine senza problemi  :beer:
Molto bene ^^
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: FranzMari - 21 Febbraio 2014 ore 10:31
Aggiorniamo i pacchetti del repo:
Codice: [Seleziona]
sudo pacman -S infinality-bundle infinality-bundle-multilib
e date si!!
Io ho usato l'opzione -Sy, non sarebbe più corretta per fare (come in questo caso) il downgrade?
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: dinolib - 21 Febbraio 2014 ore 13:07
io ho dato un bel sudo pacman -Syyuu   ;D ;D
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: UnderTheGun - 21 Febbraio 2014 ore 15:30
Io ho usato l'opzione -Sy, non sarebbe più corretta per fare (come in questo caso) il downgrade?

Anche. Ma nel mio post sopra se ci fai caso, dopo aver importato la chiave (sta all'utente poi decidere se richiedere la firma in pacman.conf oppure no) , dico di ridare
Codice: [Seleziona]
sudo pacman -SyyCaso mai correggo e metto tutto sotto un solo comando:
Codice: [Seleziona]
sudo pacman -Syy infinality-build infinality-build-multilib ;D
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: Stardust_95 - 21 Febbraio 2014 ore 15:50
da me esce questo

[spoiler]
Codice: [Seleziona]
sudo pacman -S infinality-bundle
Password:
:: Ci sono 3 membri nel gruppo infinality-bundle:
:: Repository chakra-infinality-bundle
   1) cairo-infinality-ultimate  2) fontconfig-infinality-ultimate
   3) freetype2-infinality-ultimate

Digita una selezione (default=tutto):
risoluzione delle dipendenze in corso...
ricerca dei conflitti in corso...
:: freetype2-infinality-ultimate e freetype2 vanno in conflitto. Vuoi rimuovere freetype2? [s/N] s
:: fontconfig-infinality-ultimate e fontconfig vanno in conflitto. Vuoi rimuovere fontconfig? [s/N] s
:: cairo-infinality-ultimate e cairo vanno in conflitto. Vuoi rimuovere cairo? [s/N] s
errore: impossibile eseguire l'operazione richiesta (impossibile soddisfare le dipendenze)
:: lib32-cairo: richiede cairo=1.12.14
:: lib32-fontconfig: richiede fontconfig=2.10.93
:: lib32-freetype2: richiede freetype2=2.4.11
[giulio@Giulio-Ultrabook ~]$
[/spoiler]

provo con il secondo comando

[spoiler]
Codice: [Seleziona]
[giulio@Giulio-Ultrabook ~]$ sudo pacman -S infinality-bundle-multilib
:: Ci sono 3 membri nel gruppo infinality-bundle-multilib:
:: Repository chakra-infinality-bundle-multilib
   1) lib32-cairo-infinality-ultimate  2) lib32-fontconfig-infinality-ultimate
   3) lib32-freetype2-infinality-ultimate

Digita una selezione (default=tutto):
risoluzione delle dipendenze in corso...
ricerca dei conflitti in corso...
:: freetype2-infinality-ultimate e freetype2 vanno in conflitto. Vuoi rimuovere freetype2? [s/N] s
:: lib32-freetype2-infinality-ultimate e lib32-freetype2 vanno in conflitto. Vuoi rimuovere lib32-freetype2? [s/N] s
:: fontconfig-infinality-ultimate e fontconfig vanno in conflitto. Vuoi rimuovere fontconfig? [s/N] s
:: lib32-fontconfig-infinality-ultimate e lib32-fontconfig vanno in conflitto. Vuoi rimuovere lib32-fontconfig? [s/N] s
:: cairo-infinality-ultimate e cairo vanno in conflitto. Vuoi rimuovere cairo? [s/N] s
:: lib32-cairo-infinality-ultimate e lib32-cairo vanno in conflitto. Vuoi rimuovere lib32-cairo? [s/N] s
errore: impossibile eseguire l'operazione richiesta (impossibile soddisfare le dipendenze)
:: lib32-pango: richiede lib32-freetype2>=2.4.2
[giulio@Giulio-Ultrabook ~]$
[/spoiler]
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: UnderTheGun - 21 Febbraio 2014 ore 15:57
da me esce questo

leggi qui (http://forum.chakra-project.it/index.php/topic,6123.msg49432.html#msg49432)
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: FranzMari - 21 Febbraio 2014 ore 16:21
Anche. Ma nel mio post sopra se ci fai caso, dopo aver importato la chiave (sta all'utente poi decidere se richiedere la firma in pacman.conf oppure no) , dico di ridare
Codice: [Seleziona]
sudo pacman -Syy

Sì, ma quello forza l'aggiornamento dei repository. Non so (perché io ho usato direttamente -Sy) se usando solo -S per installare i pacchetti vengano, magari, installati quelli presenti nella cache.
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: pico - 26 Febbraio 2014 ore 17:26
Ciao UTG!

Volevo aggiornare il sistema visto che ieri sono usciti un bel po' di aggiornamenti per chakra. Mi compare però questo errore:

Codice: [Seleziona]
:: Aggiornamento del sistema in corso...
risoluzione delle dipendenze in corso...
ricerca dei conflitti in corso...
attenzione: rimozione di 'freetype2' dalla lista dei pacchetti perché va in conflitto con 'freetype2-infinality-ultimate'
:: lib32-freetype2 e lib32-freetype2-infinality-ultimate vanno in conflitto. Vuoi rimuovere lib32-freetype2-infinality-ultimate? [s/N] n
errore: sono stati rilevati dei conflitti irrisolvibili tra i pacchetti
errore: impossibile eseguire l'operazione richiesta (dipendenze in conflitto)
:: lib32-freetype2 e lib32-freetype2-infinality-ultimate vanno in conflitto

Cosa faccio? Rimuovo il bundle, aggiorno e poi lo rimetto? Forzo gli aggiornamenti con -Sd in qualche modo?

Te lo segnalo in caso ci sia magari da sistemare anche qualche dipendenza del bundle.
Come sempre, grazie  :beer:
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: dinolib - 26 Febbraio 2014 ore 18:16
Non forzare altrimenti ti trovi due pacchetti a gestire gli stessi file.

Rimuovi con -Rd i pacchetti "normali" che ti impediscono di proseguire. Poi installi i pacchetti di infinality
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: pico - 26 Febbraio 2014 ore 19:57
Il problema è che freetype2 e lib32-freetype2 non sono installati (e quindi non li posso rimuovere) perchè li ho sostituiti con quelli del bundle.
Tra gli aggiornamenti credo ci sia qualcosa che richiede freetype2 mentre freetype2-infinality-ultimate non gli piace.

Per questo chiedevo se devo togliere tutto il bundle, aggiornare e rimetterlo, o se posso forzare l'aggiornamento...
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: dinolib - 26 Febbraio 2014 ore 20:44
purtroppo sono in testing, non so quindi quali siano gli aggiornamenti arrivati ora in stable.

I pacchetti infinality sono "intercambiabili" con quelli standard.
In ogni caso se per terminare l'aggiornamento devi togliere gli infinality fallo.
Poi segui la procedura che ti ho indicato prima per rimettere gli infinality.
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: FranzMari - 26 Febbraio 2014 ore 21:11
Il problema è che freetype2 e lib32-freetype2 non sono installati (e quindi non li posso rimuovere) perchè li ho sostituiti con quelli del bundle.
Tra gli aggiornamenti credo ci sia qualcosa che richiede freetype2 mentre freetype2-infinality-ultimate non gli piace.

Per questo chiedevo se devo togliere tutto il bundle, aggiornare e rimetterlo, o se posso forzare l'aggiornamento...

Io ho risolto rimuovendo tutti i pacchetti con
Codice: [Seleziona]
sudo pacman -Rdd infinality-bundleho risposto 'sì' alle richieste di sostituzione e al termine dell'aggiornamento ho reinstallato con
Codice: [Seleziona]
sudo pacman -Syy infinality-bundle lib32-freetype2-infinality-ultimate
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: pico - 26 Febbraio 2014 ore 22:51
Ok allora ho risolto con i seguenti passaggi (grazie Dino e Franz):

Codice: [Seleziona]
sudo pacman -Rdd infinality-bundle infinality-bundle-multilib
Aggiornato il sistema

Codice: [Seleziona]
sudo pacman -R lib32-freetype2 lib32-fontconfig lib32-cairo
Codice: [Seleziona]
sudo pacman -Syy infinality-bundle infinality-bundle-multilib
E ho risposto si a tutte le domande.

Così si dovrebbero sistemare tutte le dipendenze, anche e soprattutto quelle delle lib32.
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: UnderTheGun - 27 Febbraio 2014 ore 02:47
Ciao UTG!

Volevo aggiornare il sistema visto che ieri sono usciti un bel po' di aggiornamenti per chakra. Mi compare però questo errore:

Codice: [Seleziona]
:: Aggiornamento del sistema in corso...
risoluzione delle dipendenze in corso...
ricerca dei conflitti in corso...
attenzione: rimozione di 'freetype2' dalla lista dei pacchetti perché va in conflitto con 'freetype2-infinality-ultimate'
:: lib32-freetype2 e lib32-freetype2-infinality-ultimate vanno in conflitto. Vuoi rimuovere lib32-freetype2-infinality-ultimate? [s/N] n
errore: sono stati rilevati dei conflitti irrisolvibili tra i pacchetti
errore: impossibile eseguire l'operazione richiesta (dipendenze in conflitto)
:: lib32-freetype2 e lib32-freetype2-infinality-ultimate vanno in conflitto

Cosa faccio? Rimuovo il bundle, aggiorno e poi lo rimetto? Forzo gli aggiornamenti con -Sd in qualche modo?

Te lo segnalo in caso ci sia magari da sistemare anche qualche dipendenza del bundle.
Come sempre, grazie  :beer:
:o
Perchè diamine voleva aggiornarti freetype2 se manco lo avevi installato?? Mmmmmh  ???
Indago....

P.s.
Come avrete notato ho aggiornato il bundle (x86-64)!!!
A breve aggiorno anche il multilib (lib32)

pps. anf...anf....che fatica......tra questi 2 bundle e il repo-ck sto diventando scemo!!  ;D ;D

Beviamoci su!  :beer: :beer:

 8)
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: FranzMari - 27 Febbraio 2014 ore 10:54
:o
Perchè diamine voleva aggiornarti freetype2 se manco lo avevi installato?? Mmmmmh  ???
Indago....

Forse freetype2 era richiesto da qualche altro pacchetto...
Domanda: nel PKGBUILD hai inserito le righe
Codice: [Seleziona]
provides=()
conflicts=()
replaces=()
?
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: UnderTheGun - 27 Febbraio 2014 ore 14:10
Forse freetype2 era richiesto da qualche altro pacchetto...
Domanda: nel PKGBUILD hai inserito le righe
Codice: [Seleziona]
provides=()
conflicts=()
replaces=()
?

È proprio questo il fatto: si!
 >:( >:(

Codice: [Seleziona]
conflicts=('freetype2' 'freetype2-infinality' 'freetype2-infinality-ultimate-git')
provides=("freetype2=$pkgver" 'freetype2-infinality' 'freetype2-infinality-ultimate')

Replace cmq non è importante, serve a sostituire un pacchetto obsoleto.
È provides il valore corretto per far offrire al pacchetto in questione le funzionalità di quello in  provides

Leggi qui, che mi sono spiegato male:

[spoiler]
provides
Un array di nomi dei pacchetti dei quali questo software fornisce le funzionalità (oppure un pacchetto virtuale come cron o sh). Se si usa questa variabile, si dovrebbe aggiungere la versione (pkgver e magari la pkgrel) che questo pacchetto fornisce se le dipendenze possono esserne influenzate. Per esempio, se si vuole fornire una versione modificata di qt chiamata qt-foobar versione 3.3.8 che fornisce qt allora l'array provides dovrebbe essere: provides=('qt=3.3.8'). Mettere provides=('qt') causerà il fallimento di quelle dipendenze che richiedono una specifica versione di qt. Non aggiungere pkgname all'array provide, viene fatto in automatico.

conflicts
Un array di nomi dei pacchetti che possono causare problemi con questo pacchetto installato. I pacchetti con questo nome, e tutti quelli che includono questo nome nel loro array provides saranno rimossi. Si possono anche specificare le proprietà delle versioni dei pacchetti che vanno in conflitto nello stesso formato dell'array depends.

replaces
Un array di nomi dei pacchetti obsoleti che sono rimpiazzati da questo pacchetto, per esempio: replaces=('ethereal') per il pacchettowireshark. Dopo aver aggiornato il database con pacman -Sy, rimpiazzerà immediatamente un pacchetto installato con un altro pacchetto dei repository, accoppiato relativamente a replaces. Se si sta fornendo una versione sostitutiva di un pacchetto esistente, si dovrà usare la variabile conflicts la quale è valutata soltanto nel momento in cui si installerà il pacchetto in conflitto. [/spoiler]

EDIT 2: Ho capitooooooooooooo! forse succede perchè infinality sostituisce (provides) freetype2 versione 2.5.2, mentre quella nei repo stable è la 2.4.11...Mmmmm adesso provo!

EDIT 3: Oh yessss!!! Era proprio quello!! Ok, ho aggiornato il bundle per risolvere questo problema. Ora aggiorno anche il bundle multilib!! EVVAI!
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: FranzMari - 27 Febbraio 2014 ore 15:46
È proprio questo il fatto: si!
 >:( >:(

Codice: [Seleziona]
conflicts=('freetype2' 'freetype2-infinality' 'freetype2-infinality-ultimate-git')
provides=("freetype2=$pkgver" 'freetype2-infinality' 'freetype2-infinality-ultimate')

Replace cmq non è importante, serve a sostituire un pacchetto obsoleto.
È provides il valore corretto per far offrire al pacchetto in questione le funzionalità di quello in  provides

AlmAck mi ha detto che vanno sempre usati insieme i tre valori; in questo modo ti chiede se vuoi sostituire il pacchetto 'x' con il pacchetto 'y' e risolvi buona parte dei problemi. ;)
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: dinolib - 27 Febbraio 2014 ore 16:22
"l'avevo detto!"  <cit. puffo quattrocchi>
se vedi 20 post indietro...  :P :P :P :lol: :lol: :lol:

[OT]cmq il colmo è che oggi ancora non ho fatto in tempo a riavviare per provare nvidia-ck!!![/OT]

almeno adesso dovremmo riuscire a far aggiornare senza problemi.

Una questione: per tornare indietro dovrebbe bastare installare i pacchetti ufficiali, non è che si viene bloccati?
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: UnderTheGun - 28 Febbraio 2014 ore 14:40
Guardate che il problema è solo che sul repo stable di Chakra i pacchetti sono indietro di versione, mentre il bundle usa le ultime versioni disponibili dei pacchetti freetype2, fontconfig e cairo.

Inoltre vi ripeto che REPLACE non serve se non per sostituire un pacchetto X obsoleto con uno Y!
E non per due pacchetti X!
E ve lo riscrivo perchè mi sa che non avete capito (ripreso dalla bibbia Wiki di Arch, )

replaces
Un array di nomi dei pacchetti obsoleti che sono rimpiazzati da questo pacchetto, per esempio: replaces=('ethereal') per il pacchetto wireshark. Dopo aver aggiornato il database con pacman -Sy, rimpiazzerà immediatamente un pacchetto installato con un altro pacchetto dei repository, accoppiato relativamente a replaces. Se si sta fornendo una versione sostitutiva di un pacchetto esistente, si dovrà usare la variabile conflicts la quale è valutata soltanto nel momento in cui si installerà il pacchetto in conflitto.

"l'avevo detto!"  <cit. puffo quattrocchi>
se vedi 20 post indietro...  :P :P :P :lol: :lol: :lol:
I valori sono sempre stati corretti, cambia solo la versione. Tutto qui.
Se depends e conflict fossero stati sbagliati il buildsystem (chroot) di Chakra non me li avrebbe compilati ed installati poi a dovere.  :P :P :P


EDIT 1:


Chi volesse attivare le firme dei pacchetti, consigliato per una maggiore sicurezza, segua questi passaggi.

Modificate il valore in /etc/pacman.conf in questo modo:
Codice: [Seleziona]
[chakra-infinality-bundle]
Server = https://dl.dropboxusercontent.com/u/66275722/chakra-infinality-bundle/
SigLevel = PackageRequired


[chakra-infinality-bundle-multilib]
Server = https://dl.dropboxusercontent.com/u/66275722/chakra-infinality-bundle-multilib/
SigLevel = PackageRequired

Ora aggiungiamo questa chiave:
Codice: [Seleziona]
sudo pacman-key -r 7492623D
E poi:
Codice: [Seleziona]
sudo pacman-key --lsign-key 7492623D
Fatto.

Ora aggiornate con
Codice: [Seleziona]
sudo pacman -Sy
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: FranzMari - 28 Febbraio 2014 ore 18:22
Guardate che il problema è solo che sul repo stable di Chakra i pacchetti sono indietro di versione, mentre il bundle usa le ultime versioni disponibili dei pacchetti freetype2, fontconfig e cairo.

Inoltre vi ripeto che REPLACE non serve se non per sostituire un pacchetto X obsoleto con uno Y!
E non per due pacchetti X!
E ve lo riscrivo perchè mi sa che non avete capito (ripreso dalla bibbia Wiki di Arch, )

replaces
Un array di nomi dei pacchetti obsoleti che sono rimpiazzati da questo pacchetto, per esempio: replaces=('ethereal') per il pacchetto wireshark. Dopo aver aggiornato il database con pacman -Sy, rimpiazzerà immediatamente un pacchetto installato con un altro pacchetto dei repository, accoppiato relativamente a replaces. Se si sta fornendo una versione sostitutiva di un pacchetto esistente, si dovrà usare la variabile conflicts la quale è valutata soltanto nel momento in cui si installerà il pacchetto in conflitto.
I valori sono sempre stati corretti, cambia solo la versione. Tutto qui.
Se depends e conflict fossero stati sbagliati il buildsystem (chroot) di Chakra non me li avrebbe compilati ed installati poi a dovere.


Sì, ma stai tranquillo, che nessuno ti ha contraddetto o vuole costringerti ad usare replaces.
Non c'è bisogno di rispondere male.
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: UnderTheGun - 28 Febbraio 2014 ore 20:07
Sì, ma stai tranquillo, che nessuno ti ha contraddetto o vuole costringerti ad usare replaces.
Non c'è bisogno di rispondere male.

 ??? O.o"

Cercavo solo di spiegarti perchè io non lo uso, mica perchè voglio importi la mia idea.
Su internet non potendo sentire il tono di voce spesso ci si confonde.
Ho scritto di fretta senza quasi rileggere. Tutto qui  :). Non volevo certo offenderti, non risentirti.



Repo aggiornato e risolti i problemi di conflitto negli aggiornamenti!
Adesso non vi chiede più di sostituire nulla, grazie ai valori rivisti e corretti di "provides"  :P nel PKGBUILD!! ^^
Inoltre sono stati aggiornate le patch alla nuova versione!

Adesso è veramente stabile e completo al 100%!!!
Ci siamo finalmente!
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: dinolib - 28 Febbraio 2014 ore 22:52
beh, anch'io ero ironico, spero si sia capito!

(riguardo a replaces concordo che la teoria di arch/man/etc... è impeccabile. poi forse in alcuni casi va forzata la mano nella pratica. ma non so davvero se fosse questo il caso).
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: pico - 28 Febbraio 2014 ore 23:08
Scusate, a quanto pare oggi mi piace fare il guastafeste. Sto sbagliando qualcosa io e c'è qualche problema con il download? Quando provo ad aggiornare mi comprare questo:

Citazione
:: Aggiornamento del sistema in corso...
attenzione: blender: la versione installata (2.69-3) è più recente di quella presente in apps (2.69-2)
risoluzione delle dipendenze in corso...
ricerca dei conflitti in corso...

Pacchetti (12): fontconfig-infinality-ultimate-2.11.0-4  freetype2-infinality-ultimate-2.5.2-4
                lib32-cairo-infinality-ultimate-1.12.16-4  lib32-fontconfig-infinality-ultimate-2.11.0-3
                lib32-freetype2-infinality-ultimate-2.5.2-3  libgl-10.0.1-4  libglapi-10.0.1-4  mesa-10.0.1-4
                phonon-4.7.1-6  phonon-backend-gstreamer-4.7.1-2  phonon-backend-vlc-0.7.1-2  udisks2-2.1.2-1

Dimensione totale dei pacchetti da scaricare:    0,49 MiB
Dimensione totale dei pacchetti da installare:   311,37 MiB
Dimensione netta dell'aggiornamento:             57,45 MiB

:: Vuoi procedere con l'installazione? [S/n]
:: Download dei pacchetti in corso...
errore: impossibile scaricare il pacchetto 'lib32-cairo-infinality-ultimate-1.12.16-4-x86_64.pkg.tar.xz' da dl.dropboxusercontent.com : The requested URL returned error: 404 NOT FOUND
attenzione: impossibile scaricare alcuni file
errore: impossibile eseguire l'operazione richiesta (si è verificato un errore della libreria di download)
Si sono verificati degli errori, nessun pacchetto è stato aggiornato.

P.S. È la seconda volta che davo il comando, gli altri pacchetti dovrebbero essere stati tutti scaricati correttamente.
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: UnderTheGun - 01 Marzo 2014 ore 02:11
beh, anch'io ero ironico, spero si sia capito!

Ma certo Dino tranqui ;)  ;D

Citazione
riguardo a replaces concordo che la teoria di arch/man/etc... è impeccabile.
Cos'è arch/man/etc? O.o  :D

Scusate, a quanto pare oggi mi piace fare il guastafeste. Sto sbagliando qualcosa io e c'è qualche problema con il download? Quando provo ad aggiornare mi comprare questo:

P.S. È la seconda volta che davo il comando, gli altri pacchetti dovrebbero essere stati tutti scaricati correttamente.


 >:( >:( Tranquillo Pico. Non è colpa tua....Maledetto DropBox.....Fa schifo come repo....Devo cambiarlo assolutamente....porca miseria...  >:( >:(

Per risolvere lancia questi:
Codice: [Seleziona]
sudo rm /var/cache/pacman/pkg/lib32-cairo-infinality-ultimate-1.12.16-4-x86_64.pkg.tar.xz
Codice: [Seleziona]
sudo rm /var/cache/pacman/pkg/lib32-fontconfig-infinality-ultimate-2.11.0-3-x86_64.pkg.tar.xz
Codice: [Seleziona]
sudo rm /var/cache/pacman/pkg/lib32-freetype2-infinality-ultimate-2.5.2-3-x86_64.pkg.tar.xz
Codice: [Seleziona]
sudo rm /var/cache/pacman/pkg/cairo-infinality-ultimate-1.12.16-4-x86_64.pkg.tar.xz
Codice: [Seleziona]
sudo rm /var/cache/pacman/pkg/freetype2-infinality-ultimate-2.5.2-4-x86_64.pkg.tar.xz
Codice: [Seleziona]
sudo rm /var/cache/pacman/pkg/fontconfig-infinality-ultimate-2.11.0-4-x86_64.pkg.tar.xz
In pratica quando ti da questo tipo di errore, devi andare a cancellare i pacchetti scaricati a metà in /var/cache/pacman/pkg/. Così risolvi ;)

Cmq DEVO cambiare repo....Dropbox è lento e crea questi casini..:Cosa mi consigliate?
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: UnderTheGun - 01 Marzo 2014 ore 03:55
IMPORTANTE

Ricordo a tutti, ogni volta che aggiornate il bundle, di controllate in
/etc/profile.d/

Questo perchè il nuovo file di configurazione infinality-settings.sh viene installato come infinality-settings.sh.pacnew!!!


Quindi per usufruire al meglio del bundle dovete rinominare/cancellare il vecchio e salvare il .pacnew come:
infinality-settings.sh


Mi raccomando!


Codice: [Seleziona]
sudo rm /etc/profile.d/infinality-settings.sh
Codice: [Seleziona]
sudo mv /etc/profile.d/infinality-settings.sh.pacnew  /etc/profile.d/infinality-settings.sh

Riceverete comunque un avvertimento da pacman quando questo succede, quindi basta leggere ;):

Citazione
:: Vuoi procedere con l'installazione? [S/n] s
 aggiornamento in corso di freetype2-infinality-ultimate                              [-----------------------------------------------------] 100%
attenzione: /etc/profile.d/infinality-settings.sh è stato installato come /etc/profile.d/infinality-settings.sh.pacnew
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: pico - 01 Marzo 2014 ore 04:56
Ciao UTG.

Ho provato, anche con pacman -Scc che ogni tanto faccio per ripulire il sistema, ma quel pacchetto non ne vuol proprio sapere di scaricarsi. Magari è drop box, domani riprovo vediamo se si sblocca.
Se domani continua a non andare controlla che non abbia qualcosa che non gli piace  ::)

Ti faccio sapere comunque, grazie!
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: dinolib - 01 Marzo 2014 ore 07:59
arch = arch wiki
man = man pkgbuild
etc... = qualsiasi altra fonte di documenti

le risorse non mancano  ;)
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: pantof - 01 Marzo 2014 ore 08:05
Ciao UTG.

Ho provato, anche con pacman -Scc che ogni tanto faccio per ripulire il sistema, ma quel pacchetto non ne vuol proprio sapere di scaricarsi. Magari è drop box, domani riprovo vediamo se si sblocca.
Se domani continua a non andare controlla che non abbia qualcosa che non gli piace  ::)

Ti faccio sapere comunque, grazie!
avevo lo stesso problema, ho dato pacman -Scc come dici tu ed ho risposto due volte 's' problema risolto
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: pantof - 01 Marzo 2014 ore 08:07
avevo lo stesso problema, ho dato pacman -Scc come dici tu ed ho risposto due volte 's' problema risolto

non è vero ha solo riscaricato tutti i pacchetti ma da ancora :
Codice: [Seleziona]
:: Vuoi procedere con l'installazione? [S/n] s
:: Download dei pacchetti in corso...
errore: impossibile scaricare il pacchetto 'lib32-cairo-infinality-ultimate-1.12.16-4-x86_64.pkg.tar.xz' da dl.dropboxusercontent.com : The requested URL returned error: 404 NOT FOUND
attenzione: impossibile scaricare alcuni file
errore: impossibile eseguire l'operazione richiesta (si è verificato un errore della libreria di download)
Si sono verificati degli errori, nessun pacchetto è stato aggiornato.
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: UnderTheGun - 01 Marzo 2014 ore 13:36
Ciao UTG.

Ho provato, anche con pacman -Scc che ogni tanto faccio per ripulire il sistema, ma quel pacchetto non ne vuol proprio sapere di scaricarsi. Magari è drop box, domani riprovo vediamo se si sblocca.
Se domani continua a non andare controlla che non abbia qualcosa che non gli piace  ::)

Ti faccio sapere comunque, grazie!

Dannazione!
Adesso basta! Li denuncio!  ;D
Devo creare un nuovo repo, su un'altra piattaforma....assolutamente!
Ho provato a sostituire tutti pacchetti...Ed ho ricreato il database dei 2 repo...Prova adesso con -Syy
Occhio cmq a dare -Scc.....Spesso è meglio -Sc

Se non funziona neanche ora,per il momento, scarica tutti i pacchetti via "wget" ed installali dal tuo pc tramite pacman -U nome-pacchetto-versione.pkg.tar.xz

non è vero ha solo riscaricato tutti i pacchetti ma da ancora :
Codice: [Seleziona]
:: Vuoi procedere con l'installazione? [S/n] s
:: Download dei pacchetti in corso...
errore: impossibile scaricare il pacchetto 'lib32-cairo-infinality-ultimate-1.12.16-4-x86_64.pkg.tar.xz' da dl.dropboxusercontent.com : The requested URL returned error: 404 NOT FOUND
attenzione: impossibile scaricare alcuni file
errore: impossibile eseguire l'operazione richiesta (si è verificato un errore della libreria di download)
Si sono verificati degli errori, nessun pacchetto è stato aggiornato.
Riprova ora!
Aggiorna con -Syyu

arch = arch wiki
man = man pkgbuild
etc... = qualsiasi altra fonte di documenti
Ah ecco..:Si allora avevo capito bene! ^^
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: pico - 01 Marzo 2014 ore 14:15
Ho provato ora e funziona tutto, grazie UTG che ti sbatti tanto  :beer:

Altri servizi non saprei consigliarti, più che altro perché non ho mai avuto bisogno di gestire cose del genere e ne capisco poco. Per quanto ne so potresti provare altri servizi colud, tipo google drive o mega, magari sono un po' più stabili di dropbox, ma non ci metterei la mano sul fuoco  ;D
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: pantof - 02 Marzo 2014 ore 08:05
io ho risolto così:

Codice: [Seleziona]
sudo pacman -Syy infinality-bundle
sudo pacman -Syu

ha funzionato!
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: tumbler - 02 Marzo 2014 ore 09:34
UTG ma alla fine continuiamo ad usare dropbox come repo ... o meglio scaricare il pacchetto in locale?
Sicuramente sarà una ca.........stroneria ma non si potevano caricare in CCR??? Andavano in conflitto??? l'ultimo repo dei tre da aggiungere (che non mi pare sia il tuo) non prevede la fima è sicuro ugualmente???
Se qualcuno posta uno screen con le differenze farebbe cosa utile ... a me i font non sembrano poi tanto male
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: FranzMari - 02 Marzo 2014 ore 12:35
Sicuramente sarà una ca.........stroneria ma non si potevano caricare in CCR? Andavano in conflitto?

Su CCR non si possono caricare pacchetti precompilati; il vantaggio di avere un repo a parte è proprio quello di avere i pacchetti già compilati ed installabili.
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: UnderTheGun - 02 Marzo 2014 ore 13:07
UTG ma alla fine continuiamo ad usare dropbox come repo ... o meglio scaricare il pacchetto in locale?
Sicuramente sarà una ca.........stroneria ma non si potevano caricare in CCR??? Andavano in conflitto???
Useremo Dropbox ancora per poco. Sto già adoperandomi per trasferire tutti e 3 i miei repo su SourceForge!
Riguardo a CCR, ti ha già risposto Franz  :D:
Su CCR non si possono caricare pacchetti precompilati; il vantaggio di avere un repo a parte è proprio quello di avere i pacchetti già compilati ed installabili.
^^

Citazione
Se qualcuno posta uno screen con le differenze farebbe cosa utile ... a me i font non sembrano poi tanto male
Cercherò di postarti qualche immagine senza e con.
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: UnderTheGun - 05 Marzo 2014 ore 03:13
AGGIORNAMENTO DEL REPO

Ho trasferito tutte e 2 i  repo (normale e multilib) su SourceForge,molto meglio di DropBox: stabile, sicuro,  non crea strani errori come capitato ad alcuni ed è molto più raggiungibile anche dal web!!

Cancellate i vecchi repo e aggiungete questi:

Codice: [Seleziona]
[chakra-infinality-bundle]
Server = https://sourceforge.net/projects/chakra-infinality-bundle/files/chakra-infinality-bundle/
SigLevel = PackageRequired


[chakra-infinality-bundle-multilib]
Server = https://sourceforge.net/projects/chakra-infinality-bundle/files/chakra-infinality-bundle-multilib/
SigLevel = PackageRequired

Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: UnderTheGun - 05 Marzo 2014 ore 19:03
IMPORTANTE

Il bundle ed il bundle multilib sbarcheranno entro questa settimana su CCR.

Mi sono confrontato col creatore per Arch e visto i progetti che ho in mente (pacchettizzare ufficialmente per Chakra :) , speriamo  :D ), visto anche il notevole impegno a stare dietro al kernel-ck, ho pensato di togliere il repo e spostare i sorgenti su CCR!

Avrei cmq postato su CCR tutti i file necessari, ma l'idea originale prevedeva di lasciare anche il repo:
una versione normale e su CCR quella "git".

Ora, voglio chiedere anche a voi un parere al riguardo.

 :)
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: tumbler - 05 Marzo 2014 ore 23:49
Per come la vedo io dedicare un repo per quattro pacchetti non ha molto senso ... e poi considera che se qualcuno se li trovasse davanti in CCR magari li installa e gli garbano ... diversamente dovrebbe per forza di cose entrare nella discussione per prelevare i repo corretti.
Per me conviene metterli in ccr in modo che tutta la comunità possa usufruirne liberamente
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: FranzMari - 06 Marzo 2014 ore 10:14
UTG Attenzione!!
Mettendo i pacchetti su ccr hai resettato il pkgrel a 1, mentre avresti dovuto lasciare lo stesso dei pacchetti sul repo o, in alternativa, incrementarlo, in modo che vengano installati automaticamente al posto di quelli attuali.
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: UnderTheGun - 06 Marzo 2014 ore 10:22
UTG Attenzione!!
Mettendo i pacchetti su ccr hai resettato il pkgrel a 1, mentre avresti dovuto lasciare lo stesso dei pacchetti sul repo o, in alternativa, incrementarlo, in modo che vengano installati automaticamente al posto di quelli attuali.
Si lo so...credevo che dovessi partire per forza dalla rel=1   ;D....OGGI POME CORREGGO!
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: FranzMari - 06 Marzo 2014 ore 10:27
Si lo so...credevo che dovessi partire per forza dalla rel=1   ;D....OGGI POME CORREGGO!
Si riparte da 1 solo la prima volta in cui un pacchetto viene aggiunto  ;)
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: UnderTheGun - 06 Marzo 2014 ore 10:38
Si riparte da 1 solo la prima volta in cui un pacchetto viene aggiunto  ;)
ehehehe  >:( >:(  ;D ;D

Ho corretto la release del bundle normale (portandola alla 5) ma aggiornando il sistema non lo prende...  :-\
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: FranzMari - 06 Marzo 2014 ore 10:58
ehehehe  >:( >:(  ;D ;D

Ho corretto la release del bundle normale (portandola alla 5) ma aggiornando il sistema non lo prende...  :-\
Se disattivi il repo, sì  ;D
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: UnderTheGun - 06 Marzo 2014 ore 11:15
Se disattivi il repo, sì  ;D

OK!  :)

Ma su Chakra esiste un comando per aggiornare anche da pacman CCR? tipo pacman -Syua per Arch?
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: whoami - 06 Marzo 2014 ore 11:52
c'è ccr -Syu che ti aggiorna repo e ccr
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: UnderTheGun - 08 Marzo 2014 ore 02:57
non aggiornate da CCR per favore

Bohoomil ha aggiornato molte patch e roba varia.. e siccome il PKGBUILD su ccr punta al suo git, questi scarica in automatico le nuove versioni..purtroppo un makefile con Chakra non funziona.  >:( >:(

...Non so se è un errore di battitura o cosa...Non credo però....Appena mi risponde vi faccio sapere.

Scusatemi ma non dipende da me.. :-\
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: UnderTheGun - 09 Marzo 2014 ore 06:36
AGGIORNAMENTI + RISOLTI i PROBLEMI

Ok, adesso potete aggiornare il bundle!

Presto aggiorno anche il bundle multilib!

Aggiornato:

freetype2-infinality-ultimate alla versione 2.5.3!!!
{ultima versione disponibile in circolazione!Nel repo di Chakra siamo invece alla 2.4.11 }
* aggiornate le opzioni infinality-ultimate by bohoomil alla versione: 0.4.7.3
* aggiornate le patch infinality alla versione: 2.5.3

* aggiornamento di manutenzione per fontconfig-iu
* aggiornamento di manutenzione per cairo-iu

iu= infinality-ultimate

Cairo dispone delle patch expose_snapshot:
Citazione
Description:             
                         this is gfx/cairo/expose-snapshot.patch applied to the system
                         Cairo to expose some private functions. It allows Firefox to
                         be compiled with --enable-system-cairo
                         More details https://bugzilla.mozilla.org/show_bug.cgi?id=722975
                         Based on Andy's patch, but rediffed for Cairo 1.12.4.


>>>>> ATTENZIONE: Al solito quando aggiornate (freetype2-iu) il file di configurazione  /etc/profile.d/infinality-settings.sh viene installato come infinality-settings.sh.pacsave!!
Rimuovete il vecchio e rinominate il nuovo come: infinality-settings.sh
Dovete avere attiva la rev. 0.4.7.3.. Aprite il file, in cima troverete la versione.

Durante la compila di freetype2-iu appare questo:
Citazione
warning: remember to run 'libtool --finish /usr/lib'

Non è una cosa grave, nn so da cosa dipenda..Io per sicurezza ho lanciato il comando come richiesto...Ma essendo in fase di compilazione non so se è necessario...Mi informo meglio.
Questo il risultato del comando:

Codice: [Seleziona]
└─(~)─> libtool --finish /usr/lib
libtool: finish: PATH="/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/usr/bin/core_perl:/sbin" ldconfig -n /usr/lib
----------------------------------------------------------------------
Libraries have been installed in:
   /usr/lib

If you ever happen to want to link against installed libraries
in a given directory, LIBDIR, you must either use libtool, and
specify the full pathname of the library, or use the `-LLIBDIR'
flag during linking and do at least one of the following:
   - add LIBDIR to the `LD_LIBRARY_PATH' environment variable
     during execution
   - add LIBDIR to the `LD_RUN_PATH' environment variable
     during linking
   - use the `-Wl,-rpath -Wl,LIBDIR' linker flag
   - have your system administrator add LIBDIR to `/etc/ld.so.conf'

See any operating system documentation about shared libraries for
more information, such as the ld(1) and ld.so(8) manual pages.
----------------------------------------------------------------------

Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: dinolib - 09 Marzo 2014 ore 06:45
IMPORTANTE

Il bundle ed il bundle multilib sbarcheranno entro questa settimana su CCR.

Mi sono confrontato col creatore per Arch e visto i progetti che ho in mente (pacchettizzare ufficialmente per Chakra :) , speriamo  :D ), visto anche il notevole impegno a stare dietro al kernel-ck, ho pensato di togliere il repo e spostare i sorgenti su CCR!

Avrei cmq postato su CCR tutti i file necessari, ma l'idea originale prevedeva di lasciare anche il repo:
una versione normale e su CCR quella "git".

Ora, voglio chiedere anche a voi un parere al riguardo.

 :)
UtG, visto che sembra non stai più aggiornando i repo, non pensi sia il caso di modificare il post iniziale suggerendo di usare CCR?
A meno che tu ancora non abbia definitiviamente deciso cosa fare...  ;)

EDIT: sto utilizzando CCR. Come potrai notare ti ho segnato come obsoleti alcuni pacchetti che hanno dei problemi (freetype2-infinality-ultimate e lib32-cairo-infinality-ultimate). Fra l'altro il problema con cairo mi sembra l'avessimo risolto... non so perchè lo ho ancora. Forse perchè sono in testing? Boh, se a te non risultano togli pure l'obsoleto...
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: dinolib - 10 Marzo 2014 ore 17:12
UtG: ho postato nel caso non ti fossi accorto dell'EDIT del post precedente. Franz perdonami...
Titolo: Re:Chakra Infinality Ultimate Bundle
Inserito da: UnderTheGun - 10 Marzo 2014 ore 19:42
UtG, visto che sembra non stai più aggiornando i repo, non pensi sia il caso di modificare il post iniziale suggerendo di usare CCR?
A meno che tu ancora non abbia definitiviamente deciso cosa fare...  ;)
Si, grazie Dino! Hai fatto bene a dirmelo. Ho già corretto la guida. Era preso dal fare la pagina wiki che mi sono dimenticato di modificare il post qui ...ehhe :)

Citazione
EDIT: sto utilizzando CCR. Come potrai notare ti ho segnato come obsoleti alcuni pacchetti che hanno dei problemi (freetype2-infinality-ultimate e lib32-cairo-infinality-ultimate). Fra l'altro il problema con cairo mi sembra l'avessimo risolto... non so perchè lo ho ancora. Forse perchè sono in testing? Boh, se a te non risultano togli pure l'obsoleto...

L'errore freetype2-iu è colpa mia...scusa....Non ho aggiornato l'MD5SUM.
>>> Ora, risolto!

L'errore lib32-cairo-iu invece mi ha sorpreso O.o.....Ho testato il pacchetto nel "sistema di compilazione di Chakra", in una chroot nuova e pulita!....ed ha compilato senza problemi!
Indago!!!....

....però che palle 'stò lib32-cairo....se ci fai caso il mio PKGBUILD è lo stesso presente nel repo ufficiale di Chakra, solo patchato con file diversi ed altre aggiunte...Ma il "build" è i d e n t i c o !   :o



AGGIORNAMENTO

Il repo non è più mantenuto!!

Aggiornate, e continuate ad utilizzare questo bundle, tramite ccr:

Codice: [Seleziona]
ccr -Syu
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: tumbler - 10 Marzo 2014 ore 22:27
perchè non riesco ad installare le librerie a 32bit

Codice: [Seleziona]
[tumbler@tumbler ~]$ ccr -S lib32-freetype2-infinality-ultimate lib32-fontconfig-infinality-ultimate lib32-cairo-infinality-ultimate

Ccr Targets    (4): lib32-freetype2-infinality-ultimate lib32-freetype2-infinality-ultimate lib32-fontconfig-infinality-ultimate lib32-cairo-infinality-ultimate
Pacman Targets (11): gcc-multilib lib32-bzip2 lib32-expat lib32-fontconfig lib32-glib2 lib32-libpng lib32-libxext lib32-libxrender lib32-pixman lib32-zlib libtool-multilib

Proceed with installation? [Y/n] y
risoluzione delle dipendenze in corso...
ricerca dei conflitti in corso...
:: gcc-libs-multilib e gcc-libs vanno in conflitto. Vuoi rimuovere gcc-libs? [s/N]
errore: sono stati rilevati dei conflitti irrisolvibili tra i pacchetti
errore: impossibile eseguire l'operazione richiesta (dipendenze in conflitto)
:: gcc-libs-multilib e gcc-libs vanno in conflitto
Installation failed.
[tumbler@tumbler ~]$
Ho appena finito di installare tutto e leggo che il repo non è piu mantenuto??? :'( Che vuol dire??? ... io ho seguito tutta la guida in prima pagina ... sono ok?

P.S. Emmmmm UTG ... ho fatto una ca...ssata ... ho dato questo comando sudo rm /etc/profile.d/infinality-settings.sh e mo? come posso ricreare il file di configurazione???
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: UnderTheGun - 10 Marzo 2014 ore 22:40
Ho appena finito di installare tutto e leggo che il repo non è piu mantenuto??? :'( Che vuol dire??? ... io ho seguito tutta la guida in prima pagina ... sono ok?
Si, te sei ok.
Significa solo che puoi togliere in /etc/pacman.conf :
Codice: [Seleziona]
[chakra-infinality-bundle]
Server = https://sourceforge.net/projects/chakra-infinality-bundle/files/chakra-infinality-bundle/
SigLevel = PackageRequired


[chakra-infinality-bundle-multilib]
Server = https://sourceforge.net/projects/chakra-infinality-bundle/files/chakra-infinality-bundle-multilib/
SigLevel = PackageRequired

MA LASCIARE:

Codice: [Seleziona]
[infinality-bundle-fonts]
Server = http://ibn.net63.net/infinality-bundle-fonts

E  significa anche che da ora in poi, per aggiornare i pacchetti dovrai farlo da ccr, lanciando:
Codice: [Seleziona]
ccr -Syuproprio perchè il repo è fermo.
Aveva poco senso tenerlo attivo per 6 pacchetti, ora che ho da stare dietro ancheal kernel-ck.

TUTTI I PACCHETTI sono cmq presenti su CCR, quindi chi lo desidera, può seguire la guida aggiornata nel primo post ed installarli!

Chi, come te, ha già installato in precedenza i pacchetti deve solo aggiornali.
Tutto qui.

Poi per quanto riguarda:

Citazione
perchè non riesco ad installare le librerie a 32bit?
lancia per il momento solo questo:
Codice: [Seleziona]
ccr -S lib32-freetype2-infinality-ultimate lib32-fontconfig-infinality-ultimatePerchè lib32-cairo-iu devo sistemarlo.
Ma quando ti chiede di sostituire :
Codice: [Seleziona]
Proceed with installation? [Y/n] y
risoluzione delle dipendenze in corso...
ricerca dei conflitti in corso...
:: gcc-libs-multilib e gcc-libs vanno in conflitto. Vuoi rimuovere gcc-libs? [s/N]
devi dare SI!
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: tumbler - 10 Marzo 2014 ore 22:45
Non mi chiede di rimuovere ... mi dice conflitto e termina da solo ... forzo io la rimozione.
L'errore è lo stesso di sopra
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: dinolib - 10 Marzo 2014 ore 22:50
UtG: dovresti aggiungere la dipendenza lib32-harfbuzz al pacchetto lib32-freetype2-infinality-ultimatealtrimenti non compila  ;)
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: UnderTheGun - 10 Marzo 2014 ore 22:57
UtG: dovresti aggiungere la dipendenza lib32-harfbuzz al pacchetto lib32-freetype2-infinality-ultimatealtrimenti non compila  ;)
sei sicuro proprio al lib32-freetype2-iu ???
O.o

Non c'è quella dipendenza, nè nel PKGBUILD di Chakra nè in quello infinality-ultimate di bohoomil!
A me, anche fuori dalla chroot l'ha compilata benissimo!  :o
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: Benzocaino - 10 Marzo 2014 ore 22:57
E' possibile avere una dimostrazione di come cambiano in meglio i caratteri?
Ho installato da poco Chakra e non vorrei fare casini  ;D
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: UnderTheGun - 10 Marzo 2014 ore 22:59
E' possibile avere una dimostrazione di come cambiano in meglio i caratteri?
Ho installato da poco Chakra e non vorrei fare casini  ;D
Si, a breve.
Appena trovo più tempo!
Entro la settimana cmq ;)
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: tumbler - 10 Marzo 2014 ore 23:02
UTG non voglio essere insistente ma per il P.S. del post #93??? Non avevo letto che quel comando andava dato dopo il primo aggiornamento e conseguente creazione del .pacnew ... come risolvo? Posso rigenerarlo o non serve?
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: UnderTheGun - 10 Marzo 2014 ore 23:06
UTG non voglio essere insistente ma per il P.S. del post #93??? Non avevo letto che quel comando andava dato dopo il primo aggiornamento e conseguente creazione del .pacnew ... come risolvo? Posso rigenerarlo o non serve?
Ecco qua. Copialo nel suo percorso esatto.

Si che serve!  :o
È FONDAMENTALE   :D!!!
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: dinolib - 10 Marzo 2014 ore 23:12
senza il pacchetto prendevo questo errore:
Codice: [Seleziona]
/usr/lib/libharfbuzz.so: could not read symbols: File in wrong format
collect2: error: ld returned 1 exit status
make: *** [/tmp/ccrbuild-1000/lib32-freetype2-infinality-ultimate/lib32-freetype2-infinality-ultimate/src/freetype-2.5.3/objs/libfreetype.la] Errore 1
==> ERRORE: Si è verificato un errore in build().

Visto che ora c'è solo ccr x infinality-ultimate, ti consiglio di installarti i pacchetti di CCR per tener d'occhio l'andazzo  ;D
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: UnderTheGun - 10 Marzo 2014 ore 23:16
senza il pacchetto prendevo questo errore:
Codice: [Seleziona]
/usr/lib/libharfbuzz.so: could not read symbols: File in wrong format
collect2: error: ld returned 1 exit status
make: *** [/tmp/ccrbuild-1000/lib32-freetype2-infinality-ultimate/lib32-freetype2-infinality-ultimate/src/freetype-2.5.3/objs/libfreetype.la] Errore 1
==> ERRORE: Si è verificato un errore in build().

Visto che ora c'è solo ccr x infinality-ultimate, ti consiglio di installarti i pacchetti di CCR per tener d'occhio l'andazzo ;D
Chiaro! Io proprio da lì l'ho installato!
Cmq ricontrollo ;), grazie!

Prova ora il lib32-cairo-iu, aggiorna anche cairo-iu (è nuovo ;) )
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: UnderTheGun - 10 Marzo 2014 ore 23:40
Mi spiace DIno, ma ho riprovato e in una chroot pulita e nuova me lo ha compilato senza.... :-\

Guarda:

[spoiler]==> Making package: lib32-freetype2-infinality-ultimate 2.5.3-7 (Mon Mar 10 22:28:41 UTC 2014)
==> Checking runtime dependencies...
==> Installing missing dependencies...
resolving dependencies...
looking for inter-conflicts...
:: freetype2-infinality-ultimate and freetype2 are in conflict. Remove freetype2? [y/N] y

Packages (21): fixesproto-5.0-2  fontcacheproto-0.1.3-3
               freetype2-2.4.11-3 [removal]  inputproto-2.3-1  libxaw-1.0.12-1
               libxcursor-1.1.14-1  libxfixes-5.0-2  libxfontcache-1.0.5-3
               libxi-1.7.2-1  libxinerama-1.1.3-1  libxmu-1.1.2-1
               libxpm-3.5.11-1  libxrandr-1.4.2-1  libxxf86vm-1.1.3-1
               mcpp-2.7.2-3  randrproto-1.4.0-1  xcb-util-0.3.9-2
               xf86vidmodeproto-2.3.1-1  xineramaproto-1.2.1-3
               xorg-server-utils-7.6-4  freetype2-infinality-ultimate-2.5.3-1


==> Leaving fakeroot environment.
==> Finished making: lib32-freetype2-infinality-ultimate 2.5.3-7 (Mon Mar 10 22:9:57 UTC 2014)[/spoiler]

Inoltre cercando lib32-harfbuzz:
Codice: [Seleziona]
sudo pacman -Qs lib32-harfbuzzniente!
Quindi no c'è sul sistema, eppure ha compilato a dovere.

Non so che dirti! :-\ :-\ :-\

 >:( >:( porca miseria....

Devo sentire altre persone....

Hai provato ad aggiornare ccr? Boh...


Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: tumbler - 11 Marzo 2014 ore 00:06
Bhooo ... io ho ancora errore se tento di installare questi pacchetti
Codice: [Seleziona]
ccr -S lib32-freetype2-infinality-ultimate lib32-fontconfig-infinality-ultimate lib32-cairo-infinality-ultimate
Me li compila ma alla fine mi da errore nella build
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: UnderTheGun - 11 Marzo 2014 ore 00:49
Bhooo ... io ho ancora errore se tento di installare questi pacchetti

Me li compila ma alla fine mi da errore nella build

Per ora installa soli i primi 2:
Codice: [Seleziona]
ccr -S lib32-freetype2-infinality-ultimate lib32-fontconfig-infinality-ultimate
devo risolvere un problema nel 3° (lib32-cairo-iu)


EDIT:

No, ora ho capito.
Ho provato a compilare il lib32-cairo (https://gitorious.org/chakra-packages/lib32/source/1135b46b0d282bd2e34b2fbdf73ba5cd73aeaa1a:lib32-cairo/PKGBUILD) presente nel repo ufficiale ed è lo stesso!!
Non va:

Codice: [Seleziona]
make[4]: *** [libcairo-gobject.la] Error 1
Segnalo il pacchetto come "rotto"...Ci deve essere un problema con le patch ubuntu, visto che entrambi le usano (in più il lib32-cairo-iu usa altre 2 patch)....
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: tumbler - 11 Marzo 2014 ore 01:23
No UTG ... neanche i primi due vanno ... ho provato singolarmente tutti e tre i pacchetti ma niente ... li compila ed alla fine errore nella build
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: dinolib - 11 Marzo 2014 ore 07:35
UtG: non saprei.
prova con locate libharfbuzz.so (o anhce manualmente, non so se locate cerca nella chroot, non credo) se hai qualcosa anche in /usr/lib32

 tumbler: quando hai errore di compila dovresti postare sempre gli ultimi errori come ho fatto nel post precedente. Altrimenti non si riesce a capire cosa è andato storto...

A me ha compilato praticamente tutto...

UtG: cos'è lib32-cairo-iu? no, vabbè l'ho capito  ;D
Direi che segnare i pacchetti dei repo ufficiali come rotti se non ti compilano mi sembra una forzatura... Piuttosto posta nella ML dei packagers.

Dando il comando
Codice: [Seleziona]
sudo pacman -S lib32-fontconfig lib32-pixman libtool-multilib
l'installazione funziona

poi sto provando
Codice: [Seleziona]
ccr -S lib32-fontconfig-infinality-ultimate
ora vado al lavoro, stasera ti aggiorno sulle compile. Qui a casa mi mancavano alcuni pacchetti...
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: tumbler - 11 Marzo 2014 ore 09:13
Dino hai ragione ... sostanzialmente il terminale risponde errore nella build ... il terminale sarà lungo un km ... vi posto le parti a mio avviso piu significative ... ho installto solo i primi due quindi no cairo

Codice: [Seleziona]
[tumbler@tumbler ~]$ ccr -S lib32-freetype2-infinality-ultimate lib32-fontconfig-infinality-ultimate

Ccr Targets    (3): lib32-freetype2-infinality-ultimate lib32-freetype2-infinality-ultimate lib32-fontconfig-infinality-ultimate

Proceed with installation? [Y/n] y
uRL: http://chakra-project.org/ccr/packages/li/lib32-freetype2-infinality-ultimate/lib32-freetype2-infinality-ultimate.tar.gz
Edit lib32-freetype2-infinality-ultimate PKGBUILD with $EDITOR? [Y/n] n
==> Creazione del pacchetto: lib32-freetype2-infinality-ultimate 2.5.3-7 (mar 11 mar 2014, 08.59.24, CET)
==> Controllo delle dipendenze durante l'avvio in corso...
==> Controllo delle dipendenze durante la compilazione in corso...
==> Download dei sorgenti in corso...
  -> Download di freetype-2.5.3.tar.bz2 in corso...
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--       0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     100   357  100   357    0     0    642      0 --:--:-- --:--:-- --:--:--   642
100   347  100   347    0     0    480      0 --:--:-- --:--:-- --:--:--   480
  2 1663k    2 38880    0     0  30066      0  0:00:56  0:00:01  0:00:55 3006 31 1663k   31  520k    0     0   229k      0  0:00:07  0:00:02  0:00:05  495 77 1663k   77 1293k    0     0   396k      0  0:00:04  0:00:03  0:00:01  636100 1663k  100 1663k    0     0   441k      0  0:00:03  0:00:03 --:--:--  657k
  -> È stato trovato freetype-2.5.3-enable-valid.patch
  -> È stato trovato freetype-2.5.3-pkgconfig.patch
  -> È stato trovato infinality-2.5.3.patch
==> Validazione dei sorgenti con md5sums in corso...
    freetype-2.5.3.tar.bz2 ... Verificato
    freetype-2.5.3-enable-valid.patch ... Verificato
    freetype-2.5.3-pkgconfig.patch ... Verificato
    infinality-2.5.3.patch ... Verificato
==> Estrazione dei sorgenti in corso...
  -> Estrazione di freetype-2.5.3.tar.bz2 con bsdtar in corso...
==> Avvio di prepare() in corso...
patching file modules.cfg
patching file builds/unix/freetype2.in
patching file configure
patching file devel/ftoption.h
patching file include/config/ftoption.h
patching file src/autofit/aflatin.c
patching file src/base/ftlcdfil.c
patching file src/base/ftobjs.c
patching file src/base/ftoutln.c
patching file src/base/ftsynth.c
patching file src/smooth/ftsmooth.c
patching file src/truetype/ttinterp.c
==> Avvio di build() in corso...
------------------------------------------------------------------------------------------
omissis
-------------------------------------------------------------------------------------------
collect2: error: ld returned 1 exit status
make: *** [/tmp/ccrbuild-1000/lib32-freetype2-infinality-ultimate/lib32-freetype2-infinality-ultimate/src/freetype-2.5.3/objs/libfreetype.la] Errore 1
==> ERRORE: Si è verificato un errore in build().
    L'operazione sta per essere interrotta...
The build failed.
Edit lib32-freetype2-infinality-ultimate PKGBUILD with $EDITOR? [Y/n] n
==> Creazione del pacchetto: lib32-freetype2-infinality-ultimate 2.5.3-7 (mar 11 mar 2014, 09.02.38, CET)
==> Controllo delle dipendenze durante l'avvio in corso...
==> Controllo delle dipendenze durante la compilazione in corso...
==> Download dei sorgenti in corso...
  -> È stato trovato freetype-2.5.3.tar.bz2
  -> È stato trovato freetype-2.5.3-enable-valid.patch
  -> È stato trovato freetype-2.5.3-pkgconfig.patch
  -> È stato trovato infinality-2.5.3.patch
==> Validazione dei sorgenti con md5sums in corso...
    freetype-2.5.3.tar.bz2 ... Verificato
    freetype-2.5.3-enable-valid.patch ... Verificato
    freetype-2.5.3-pkgconfig.patch ... Verificato
    infinality-2.5.3.patch ... Verificato
==> Estrazione dei sorgenti in corso...
  -> Estrazione di freetype-2.5.3.tar.bz2 con bsdtar in corso...
==> Avvio di prepare() in corso...
patching file modules.cfg
patching file builds/unix/freetype2.in
patching file configure
patching file devel/ftoption.h
patching file include/config/ftoption.h
patching file src/autofit/aflatin.c
patching file src/base/ftlcdfil.c
patching file src/base/ftobjs.c
patching file src/base/ftoutln.c
patching file src/base/ftsynth.c
patching file src/smooth/ftsmooth.c
patching file src/truetype/ttinterp.c
==> Rimozione dell'esistente directory pkg/ in corso...
==> Avvio di build() in corso...
------------------------------------------------------------------------------------------
omissis
-------------------------------------------------------------------------------------------
/objs/.libs/libfreetype.so.6.11.2
/usr/lib/libharfbuzz.so: could not read symbols: File in wrong format
collect2: error: ld returned 1 exit status
make: *** [/tmp/ccrbuild-1000/lib32-freetype2-infinality-ultimate/lib32-freetype2-infinality-ultimate/src/freetype-2.5.3/objs/libfreetype.la] Errore 1
==> ERRORE: Si è verificato un errore in build().
    L'operazione sta per essere interrotta...
The build failed.
Dependencies for `lib32-fontconfig-infinality-ultimate' are not met, not building...
[tumbler@tumbler ~]$ top
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: dinolib - 11 Marzo 2014 ore 09:17
infatti...

se installi lib32-harfbuzz risolvi!
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: UnderTheGun - 11 Marzo 2014 ore 09:53

poi sto provando
Codice: [Seleziona]
ccr -S lib32-fontconfig-infinality-ultimate
ora vado al lavoro, stasera ti aggiorno sulle compile. Qui a casa mi mancavano alcuni pacchetti...

Ricorda che i pacchetti nei repo di Chakra sono binari, quindi niente compila.
Ma forse volevi dire che provi a compilare le lib di infinality-ultimate con alcune lib ufficiali?

Citazione
UtG: non saprei.
prova con locate libharfbuzz.so (o anhce manualmente, non so se locate cerca nella chroot, non credo) se hai qualcosa anche in /usr/lib32

Si, oggi pome ci guardo!


Citazione
Direi che segnare i pacchetti dei repo ufficiali come rotti se non ti compilano mi sembra una forzatura... Piuttosto posta nella ML dei packagers.
Invece secondo me è giusto sai... :D
Se il pacchetto non viene compilato in locale, credo che debbano saperlo, proprio perchè, come successo anche a me, a volte compilando dal "buildsystem di chakra" alcune compile avvengono correttamente, ma poi fuori dalla chroot non vanno!  ;)
Cmq chiedo, se ho fatto una ca***ta la prossima volta faccio come dici  ;D
Per quanto riguarda lib32-harbuzz, provvedo subito allora!

Mille grazie della segnalazione!!  :beer:

EDIT:

Fatto, guarda: lib32-freetype2-infinality-ultimate PKGBUILD (http://chakra-project.org/ccr/pkgbuild_view.php?p=lib32-freetype2-infinality-ultimate)
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: tumbler - 11 Marzo 2014 ore 09:57
infatti...

se installi lib32-harfbuzz risolvi!
Hai ragione ... non mi ero accorto che la riga d'errore era la stessa per la quale discutevi con UTG ... ne tanto meno mi pareva mancasse come dipendenza ... devo ancora raccapezzarmi con pacman e chakra  :lol:

Tutto liscio ... +1 ad entrambi
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: UnderTheGun - 11 Marzo 2014 ore 14:15
ORA CI DOVREMMO ESSERE

Ho uppato su CCR una nuova versione di lib32-cairo-infinality-ultimate, a me ha compilato bene!
Fatemi sapere!  :D
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: tumbler - 11 Marzo 2014 ore 14:41
ORA CI DOVREMMO ESSERE

Ho uppato su CCR una nuova versione di lib32-cairo-infinality-ultimate, a me ha compilato bene!
Fatemi sapere!  :D
Ci siamo ... a me è OK!!!  :beer:
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: pico - 11 Marzo 2014 ore 15:07
Cairo si installa anche a me senza problemi ora  ;)

In compenso avevo questo problema:

Codice: [Seleziona]
Ccr Targets    (2): fontconfig-infinality-ultimate

Proceed with installation? [Y/n]

Edit fontconfig-infinality-ultimate PKGBUILD with $EDITOR? [Y/n] n
Edit fontconfig-ultimate.install with $EDITOR? [Y/n] n
==> Creazione del pacchetto: fontconfig-infinality-ultimate 2.11.0-7 (mar 11 mar 2014, 15.02.29, CET)
==> Controllo delle dipendenze durante l'avvio in corso...
==> Controllo delle dipendenze durante la compilazione in corso...
==> Download dei sorgenti in corso...
  -> È stato trovato fontconfig-2.11.0.tar.bz2
  -> Clonazione del repository fontconfig-ultimate git in corso...
/usr/bin/makepkg: line 543: git: command not found
==> ERRORE: Impossibile scaricare dal repository fontconfig-ultimate git
    L'operazione sta per essere interrotta...
The build failed.

Ho risolto semplicemente installando git con questo comando:

Codice: [Seleziona]
sudo pacman -S git
UTG non so se sia il caso, però magari segnala nel primo post i pacchetti necessari ad effettuare la compilazione, così anche i meno esperti non hanno problemi.  :beer:
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: tumbler - 11 Marzo 2014 ore 15:44
Perchè hai installato fontconfig-infinality git e non fontconfig-infinality-ultimate???
Che io sappia i pacchetti git sono sperimentali
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: UnderTheGun - 11 Marzo 2014 ore 16:30
UTG non so se sia il caso, però magari segnala nel primo post i pacchetti necessari ad effettuare la compilazione, così anche i meno esperti non hanno problemi.  :beer:

In teoria GIT è installato di default in ogni ISO di Chakra, non capisco come mai non ce l'avevi  :-\ ...e soprattutto come hai fatto fino ad ora ad installare alcuni pacchetti da CCR  :D, visto che tanti puntano a sorgenti, patch ed altro materiale sui repo git :D !

Perchè hai installato fontconfig-infinality git e non fontconfig-infinality-ultimate???
Che io sappia i pacchetti git sono sperimentali

NON ha mica installato la versione git, che tra l'altro non esiste su CCR ;).
Ha solo installato il pacchetto "git", che serve per scaricare i sorgenti ed altra roba dai repository git (tipo github, gitorious etc)
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: FranzMari - 11 Marzo 2014 ore 16:35
In teoria GIT è installato di default in ogni ISO di Chakra, non capisco come mai non ce l'avevi  :-\ ...e soprattutto come hai fatto fino ad ora ad installare alcuni pacchetti da CCR  :D, visto che tanti puntano a sorgenti, patch ed altro materiale sui repo git :D !

NON ha mica installato la versione git, che tra l'altro non esiste su CCR ;).
Ha solo installato il pacchetto "git", che serve per scaricare i sorgenti ed altra roba dai repository git (tipo github, gitorious etc)

Dovresti aggiungere 'git' alle makedepends  ;)
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: UnderTheGun - 11 Marzo 2014 ore 16:39
Dovresti aggiungere 'git' alle makedepends  ;)
Ok, ;) , ma di default c'è già in Chakra, vero?
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: FranzMari - 11 Marzo 2014 ore 17:01
Ok, ;) , ma di default c'è già in Chakra, vero?

Sai che non lo so?  :o
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: whoami - 11 Marzo 2014 ore 17:17
a me sembra che mi si sia installato come dipendenza di qualcosa, non c'era di default...
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: dinolib - 11 Marzo 2014 ore 18:47
non dovrebbe esserlo. Si installa come makedepends di alcuni pacchetti CCR.

Ricordo di averlo dovuto installare, ma sono passati mesi, molti mesi, dalla mia ultima installazione  ;D
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: UnderTheGun - 11 Marzo 2014 ore 22:41
Ok, nel dubbio lo avevo già messo come makedepends ;).
Adesso dovrebbe essere tutto a posto.
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: pico - 12 Marzo 2014 ore 23:03
In effetti mi pareva strano di non averlo. Lì per lì non avevo fatto caso all'errore e pensavo ci fosse qualcosa nel PKGBUILD....poi quando si sono installati tutti, compreso il maledetto cairo, e quello dava ancora problemi, ci ho fatto caso...

Meglio così, fix dopo fix Chakra migliora e io imparo qualcosa in più  ;D
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: UnderTheGun - 12 Marzo 2014 ore 23:21
Tranquillo!  ;)
Anzi, grazie del feedback!  :D

Ho già sistemato!  :beer:
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: UnderTheGun - 25 Marzo 2014 ore 00:35
IMPORTANTE

Bohoomil ha cambiato server per i font!
Quindi aggiornate mi raccomando, seguite questi passi:


Aprite il file /etc/pacman.conf ,
Codice: [Seleziona]
sudo kate /etc/pacman.conf
 cercate la dicitura [infinality-bundle-fonts] e cambiate il SERVER in questo modo in:
Codice: [Seleziona]
[infinality-bundle-fonts]
Server = http://bohoomil.com/repo/fonts
SigLevel = PackageRequired
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: UnderTheGun - 29 Marzo 2014 ore 15:15
AGGIORNAMENTO

I seguenti pacchetti sono stati aggiornati:
(*)
freetype2-iu
fontconfig-iu
lib32-freetype2-iu
lib32-fontconfig-iu


(*) iu = infinality-ultimate


Modifiche:

Citazione
infinality-bundle+fonts
=======================

CHANGELOG
---------

2014-03-24
~~~~~~~~~~
* fontconfig-infinality-ultimate
  ** upstream upgrade to v.2.11.1
  ** revised and updated patches

2014-03-21
~~~~~~~~~~

* fontconfig-infinality-ultimate
** major revision of ms collection configuration files
   (`ms` collection is fully compatible with the most recent Windows 8.1
   fonts releases)
** numerous bugs fixed and inconsistencies removed
** major revision of `custom` collection configuration files
   * renamed `custom` collection to `combi` (required by `fc-presets` to
     correctly set 35-repl-custom.conf for `free` and `ms` presets)
   * latin scripts are based on the customized `free` collection with
     TeX Gyre Heros / Termes and Adobe Courier as main metrical replacements
     for Arial/Helvetica, Times New Roman and Courier New
   * non-latin scripts are based on customized `ms` collection
** updated `fc-presets`:
   * added a postjob function for free & ms collection to set
     `35-repl-custom.conf` for custom tweaks (not needed with the `combi`
     collection)
** modified naming convention for `ftypes` config files
** added support for new font families

* freetype2-infinality-ultimate
** `infinality-settings.sh`: revised and updated rendering styles
** updated dependencies
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: Simonxxx84 - 31 Marzo 2014 ore 20:49
Salve a tutti sono nuovo su Chakra Linux, vorrei segnalare che ci sono problemi di compilazione con lib32-cairo-infinality-ultimate...
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: dinolib - 31 Marzo 2014 ore 21:16
io ho compilato oggi su due PC diversi e tutto a posto...
riprova, nel caso dovresti postare l'errore.
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: Simonxxx84 - 31 Marzo 2014 ore 22:09
Ecco qui  :)

Codice: [Seleziona]
/usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-unknown-linux-gnu/4.8.1/../../../libpoppler-glib.so when searching for -lpoppler-glib
/usr/bin/ld: skipping incompatible /usr/lib/libpoppler-glib.so when searching for -lpoppler-glib
/usr/bin/ld: cannot find -lpoppler-glib
/usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-unknown-linux-gnu/4.8.1/../../../librsvg-2.so when searching for -lrsvg-2
/usr/bin/ld: skipping incompatible /usr/lib/librsvg-2.so when searching for -lrsvg-2
/usr/bin/ld: cannot find -lrsvg-2
/usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-unknown-linux-gnu/4.8.1/../../../libgdk-x11-2.0.so when searching for -lgdk-x11-2.0
/usr/bin/ld: skipping incompatible /usr/lib/libgdk-x11-2.0.so when searching for -lgdk-x11-2.0
/usr/bin/ld: cannot find -lgdk-x11-2.0
collect2: error: ld returned 1 exit status
make[4]: *** [any2ppm] Errore 1
make[4]: Leaving directory `/tmp/ccrbuild-1000/lib32-cairo-infinality-ultimate/lib32-cairo-infinality-ultimate/src/cairo-1.12.16/test'
make[3]: *** [all-recursive] Errore 1
make[3]: Leaving directory `/tmp/ccrbuild-1000/lib32-cairo-infinality-ultimate/lib32-cairo-infinality-ultimate/src/cairo-1.12.16/test'
make[2]: *** [all] Errore 2
make[2]: Leaving directory `/tmp/ccrbuild-1000/lib32-cairo-infinality-ultimate/lib32-cairo-infinality-ultimate/src/cairo-1.12.16/test'
make[1]: *** [all-recursive] Errore 1
make[1]: Leaving directory `/tmp/ccrbuild-1000/lib32-cairo-infinality-ultimate/lib32-cairo-infinality-ultimate/src/cairo-1.12.16'
make: *** [all] Errore 2
==> ERRORE: Si è verificato un errore in build().
    L'operazione sta per essere interrotta...
The build failed.
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: UnderTheGun - 01 Aprile 2014 ore 01:30
ciao Simonxxx84.

Ma che strano....sembra che non trova quelle librerie..

Puoi provare ad installare questi pacchetti
poppler-glib
librsvg
lib32-gtk2
con questo comando:
Codice: [Seleziona]
sudo pacman -Sy poppler-glib librsvg lib32-gtk2
Poi riprova ad installare lib32-cairo-infinality-ultimate.

Grazie mille per aver trovato il tempo di segnalarmelo ;)
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: Simonxxx84 - 01 Aprile 2014 ore 11:45
Niente da fare :'( le librerie avevo già provveduto ad installarle, mancava solo "lib32-gtk2" gli errori sono sempre li stessi:

Codice: [Seleziona]
/usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-unknown-linux-gnu/4.8.1/../../../libpoppler-glib.so when searching for -lpoppler-glib
/usr/bin/ld: skipping incompatible /usr/lib/libpoppler-glib.so when searching for -lpoppler-glib
/usr/bin/ld: cannot find -lpoppler-glib
/usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-unknown-linux-gnu/4.8.1/../../../librsvg-2.so when searching for -lrsvg-2
/usr/bin/ld: skipping incompatible /usr/lib/librsvg-2.so when searching for -lrsvg-2
/usr/bin/ld: cannot find -lrsvg-2
collect2: error: ld returned 1 exit status
make[4]: *** [any2ppm] Errore 1
make[4]: Leaving directory `/tmp/ccrbuild-1000/lib32-cairo-infinality-ultimate/lib32-cairo-infinality-ultimate/src/cairo-1.12.16/test'
make[3]: *** [all-recursive] Errore 1
make[3]: Leaving directory `/tmp/ccrbuild-1000/lib32-cairo-infinality-ultimate/lib32-cairo-infinality-ultimate/src/cairo-1.12.16/test'
make[2]: *** [all] Errore 2
make[2]: Leaving directory `/tmp/ccrbuild-1000/lib32-cairo-infinality-ultimate/lib32-cairo-infinality-ultimate/src/cairo-1.12.16/test'
make[1]: *** [all-recursive] Errore 1
make[1]: Leaving directory `/tmp/ccrbuild-1000/lib32-cairo-infinality-ultimate/lib32-cairo-infinality-ultimate/src/cairo-1.12.16'
make: *** [all] Errore 2
==> ERRORE: Si è verificato un errore in build().
    L'operazione sta per essere interrotta...
The build failed.

Esiste un' altro modo per provare ad installare il pacchetto? Mi sembra così strano che non riesca a trovare quelle dipendenze se ieri li hai installati su due diversi pc... :-\
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: FranzMari - 01 Aprile 2014 ore 12:04
Codice: [Seleziona]
/usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-unknown-linux-gnu/4.8.1/../../../libgdk-x11-2.0.so when searching for -lgdk-x11-2.0
/usr/bin/ld: skipping incompatible /usr/lib/libgdk-x11-2.0.so when searching for -lgdk-x11-2.0

Questo è scomparso, è già un passo avanti ;)
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: Simonxxx84 - 01 Aprile 2014 ore 12:46
Citazione
Questo è scomparso, è già un passo avanti ;)

Ah già è vero :) non me ne ero accorto...che manchino altre librerie a 32bit?
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: dinolib - 01 Aprile 2014 ore 13:06
poppler-glib non c'è però a 32bit  ::)

Prima di ri-lanciare la compila (installazione CCR) prova a cancellare la directory /tmp/ccrbuild-1000/lib32-cairo-infinality-ultimate

cmq, anche se sono in testing, sto provando a reinstallarlo per vedere se c'è qualcosa di rotto. editerò il commento

EDIT: stesso tuo errore con poppler-glib

Codice: [Seleziona]
  CCLD   any2ppm
/usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-unknown-linux-gnu/4.8.1/../../../libpoppler-glib.so when searching for -lpoppler-glib
/usr/bin/ld: skipping incompatible /usr/lib/libpoppler-glib.so when searching for -lpoppler-glib
/usr/bin/ld: cannot find -lpoppler-glib
/usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-unknown-linux-gnu/4.8.1/../../../librsvg-2.so when searching for -lrsvg-2
/usr/bin/ld: skipping incompatible /usr/lib/librsvg-2.so when searching for -lrsvg-2
/usr/bin/ld: cannot find -lrsvg-2
collect2: error: ld returned 1 exit status
make[4]: *** [any2ppm] Errore 1
make[4]: Leaving directory `/tmp/ccrbuild-1000/lib32-cairo-infinality-ultimate/lib32-cairo-infinality-ultimate/src/cairo-1.12.16/te
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: Simonxxx84 - 01 Aprile 2014 ore 13:42
Mi sorge un dubbio sugli errori...non è che per caso sia il compilatore Gcc il problema? Dirò una fesseria (non me ne intendo molto) ma se il compilatore gcc-multilib compila a 32bit forse cerca tutte le dipendenze a 32bit comprese le librerie libpoppler-glib.so librsvg-2.so che non ci sono, comunque io ho installato cgg-libs-multilib - gcc-multilib e lib32-gcc-libs...cancello sempre i file temporanei prima di riprovare :D
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: dinolib - 01 Aprile 2014 ore 13:44
tadaaa! errore anche a me.

poppler serrve per i pdf. non vorrei che è una nuova dipendenza del pacchetto e serve quindi la controparte a 32bit.
se la trovo su aur la porto in ccr, vediamo se si risolve (il fatto è che io sono in testinge ho una versione leggermente diversa...). faccio sapere


EDIT: no, in giro la 32bit non la trovo. Finchè non c'è su la paghina dei pacchetti ufficiali non so neanche dove reperire il pacchetto per provare a farne la 32bit  :-\

Ma magari ci sbagliamo e la soluzione è più semplice! :-)
In ogni caso non capisco perchè io il pacchetto l'ho installato senza problemi (mi viene in mente ora) e riprovando ora va in errore. in stable quando è stato aggiornato poppler-glib?
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: Simonxxx84 - 01 Aprile 2014 ore 14:17
Citazione
in stable quando è stato aggiornato poppler-glib?

Purtroppo non ti sò rispondere :-[ io Chakra Linux l' ho installata ieri :lol:
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: FranzMari - 01 Aprile 2014 ore 15:03
EDIT: no, in giro la 32bit non la trovo. Finchè non c'è su la paghina dei pacchetti ufficiali non so neanche dove reperire il pacchetto per provare a farne la 32bit  :-\

Su gitorious.org (https://gitorious.org/chakra-packages/platform/source/039004afad22ddc8128a7fe4bb1aa9f7e149c15d:)  ;)
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: dinolib - 01 Aprile 2014 ore 15:23
sono io scemo o il pacchetto poppler-glib non c'è?  :o

EDIT: ok, sono io scemo: è all'interno di poppler (pacchetto multiplo)
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: dinolib - 01 Aprile 2014 ore 15:26
comunque git non è aggiornato. Siamo alla 0.24 mentre lì sono fermi alla 0.20.

Franz mi vieni incontro?  :'(

non riesco neanche a vedere la history per capire se è cambiato qualcosa...
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: UnderTheGun - 01 Aprile 2014 ore 16:57
Niente da fare :'( le librerie avevo già provveduto ad installarle, mancava solo "lib32-gtk2" gli errori sono sempre li stessi:

tadaaa! errore anche a me.
Ma magari ci sbagliamo e la soluzione è più semplice! :-)

Esatto Dino ^^!!!
Riprovate adesso :).
Ho cambiato alcune cose...


Citazione
Esiste un' altro modo per provare ad installare il pacchetto?
Compilare in locale è sempre "cosa buona e giusta"....riprova adesso.
Citazione
Mi sembra così strano che non riesca a trovare quelle dipendenze se ieri li hai installati su due diversi pc... :-\
Non disperarti :), sono cose che capitano quando si compila sul proprio pc anzichè usare file binari...

Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: Simonxxx84 - 01 Aprile 2014 ore 17:32
Yupiiiiiiiiii :D tutto ok...installazione effettuata, grazie a tutti :beer:
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: FranzMari - 02 Aprile 2014 ore 00:24
comunque git non è aggiornato. Siamo alla 0.24 mentre lì sono fermi alla 0.20.

Si che è aggiornato! Guarda qui (https://gitorious.org/chakra-packages/platform/source/638582a7c741e0ca60a565fafb32777955530b49:poppler/PKGBUILD)  ;)
Quando si tratta di repository non rolling, controlla sempre il branch testing di git, perché è più probabile che i pkgbuild aggiornati siano lì  ;D
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: silente0965 - 02 Aprile 2014 ore 09:46
Domanda,ma ne vale veramente la pena?L'ultimate l'avevo installato qualche settimana fa su manjaro e ho notato un notevole peggioramento rispetto al classico infinality (font sballati ovunque e antialising penoso),ora prima di levarlo vorrei chiedervi se effettivamente su chakra sto miglioramento c'è,qualcuno puo' postare qualche screenshot? ;D
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: UnderTheGun - 02 Aprile 2014 ore 10:05
Domanda,ma ne vale veramente la pena?
Per me si :).


Citazione
L'ultimate l'avevo installato qualche settimana fa su manjaro e ho notato un notevole peggioramento rispetto al classico infinality (font sballati ovunque e antialising penoso),
Magari non hai provato a configurarlo...oppure NON usi i font dedicati nel repo !infinality-bundle-fonts".... Oppure (o addirittura tutti e 3 insieme) usi font Microsoft col preset "free"...

Citazione
ora prima di levarlo vorrei chiedervi se effettivamente su chakra sto miglioramento c'è,
Le persone a cui ho chiesto, tra cui Hombre, mi hanno sempre detto di avere dei buoni riscontri.

Citazione
qualcuno puo' postare qualche screenshot? ;D
ok....

Riassumendo...

Questo Bundle usa le stesse patch INFINALITY con l'aggiunta di ulteriori miglioramenti e stili predefiniti diversi, + semplici, + facili da configurare....in più porta patch e ,miglioramenti anche su Cairo, cosa che infinality "normale" non fa...quindi se uno ti funziona bene, lo deve fare anche l'altro!


EDIT:  P.s.

Ma non è che stai usando questi pacchetti su Manjaro vero????  :)
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: dinolib - 02 Aprile 2014 ore 10:16
Si che è aggiornato! Guarda qui (https://gitorious.org/chakra-packages/platform/source/638582a7c741e0ca60a565fafb32777955530b49:poppler/PKGBUILD)  ;)
Quando si tratta di repository non rolling, controlla sempre il branch testing di git, perché è più probabile che i pkgbuild aggiornati siano lì  ;D
si, vabbè, diciamo allora che non so usare git! Manco avevo notato i branch...
In ogni caso il branch master è vecchio? Possibile non ci sia il branch di stable? O non viene mantenuto in quanto è una "copia" di testing ritardata? In effetti la cosa ha senso...
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: silente0965 - 02 Aprile 2014 ore 10:24


Ma non è che stai usando questi pacchetti su Manjaro vero????  :)

Ovviamente no  :P
Qualche settimana fa ho voluto provare manjaro KDE e anche lì c'è una guida apposita per installarli (con yaourt) solo che boh,mi avevano completamente sballato tutti i font...oggi li riprovo allora.Grazie
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: Simonxxx84 - 02 Aprile 2014 ore 13:44
Citazione
Domanda,ma ne vale veramente la pena?L'ultimate l'avevo installato qualche settimana fa su manjaro e ho notato un notevole peggioramento rispetto al classico infinality (font sballati ovunque e antialising penoso),ora prima di levarlo vorrei chiedervi se effettivamente su chakra sto miglioramento c'è,qualcuno puo' postare qualche screenshot? ;D

http://imageshack.com/a/img19/7056/11xa.png

Io uso i Source Sans di Adobe  8)
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: FranzMari - 02 Aprile 2014 ore 15:06
si, vabbè, diciamo allora che non so usare git! Manco avevo notato i branch...
In ogni caso il branch master è vecchio? Possibile non ci sia il branch di stable? O non viene mantenuto in quanto è una "copia" di testing ritardata? In effetti la cosa ha senso...
Se ho capito cosa intendi, la risposta alla tua ultima domanda è nì.
Non voglio andare troppo OT, ma considera che i pacchetti dei repo non rolling vengono prima caricati nel repo testing, quindi le modifiche ai PKGBUILD vengono "pushate" nel branch testing il quale, però, non viene sincronizzato con master quando i pacchetti in questione passano in stable. Non è un sistema perfetto, infatti stiamo pensando di dargli una sistemata, ma finora il suo sporco lavoro l'ha fatto  ;)

@Simonxxx84 L'immagine è troppo grande; per favore, ridimensionala o sostituiscila con un link ad un visualizzatore esterno. Grazie  ;D
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: silente0965 - 02 Aprile 2014 ore 15:56
Niente da fare,provato seguendo la guida alla lettera ma nel mio caso peggiora notevolmente tutto,soprattutto l'antialising con dei font che sembrano quasi sfocati,son tornato a infinality standard.
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: UnderTheGun - 07 Aprile 2014 ore 14:47
http://imageshack.com/a/img19/7056/11xa.png

Io uso i Source Sans di Adobe  8)

Sembra tutto ok dall'immagine  !  :D


Niente da fare,provato seguendo la guida alla lettera ma nel mio caso peggiora notevolmente tutto,soprattutto l'antialising con dei font che sembrano quasi sfocati,son tornato a infinality standard.

Ad ogni modo usa i pacchetti che fanno meglio al caso tuo! Anche se la cosa mi stupisce, e non di poco: le patch sono le stesse! Ma dal momento che non so nulla di come hai cercato di configurare infinality-ultimate (se casomai l'hai fatto!) etc non posso aiutarti.

Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: dinolib - 07 Aprile 2014 ore 15:12
Niente da fare,provato seguendo la guida alla lettera ma nel mio caso peggiora notevolmente tutto,soprattutto l'antialising con dei font che sembrano quasi sfocati,son tornato a infinality standard.
A me succedeva con le impostazioni iOS di vedere come sfuocato.
Cmq ho visto che alle volte la combinazione scheda grafica/driver può incidere.

Al momento io su due macchine ho i font a posto con infinality
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: alex - 08 Aprile 2014 ore 16:03
Sono stato un po' in giro e solo oggi ho riaggiornato Chakra, tutto ok tranne questo errore:

Codice: [Seleziona]
[alex@chakra-s9pc ~]$ ccr -Syu
:: Sincronizzazione dei database in corso...
 lib32 è aggiornato
 core è aggiornato
 platform è aggiornato
 desktop è aggiornato
 apps è aggiornato
 games è aggiornato
 extra è aggiornato
 infinality-bundle-fonts è aggiornato
:: Aggiornamento del sistema in corso...
attenzione: ethtool: la versione installata (6-1) è più recente di quella presente in platform (3.8-1)
 non ci sono aggiornamenti disponibili
:: Synchronizing ccr database...
 ccr                                        47  47 [#######################################################################################################################] 100%
:: Starting full ccr upgrade...

Ccr Targets    (6): cairo-infinality-ultimate fontconfig-infinality-ultimate freetype2-infinality-ultimate lib32-cairo-infinality-ultimate lib32-fontconfig-infinality-ultimate lib32-freetype2-infinality-ultimate
Pacman Targets (4): gcc-multilib lib32-harfbuzz libtool-multilib valgrind

Proceed with installation? [Y/n] y
risoluzione delle dipendenze in corso...
ricerca dei conflitti in corso...
:: gcc-libs-multilib e gcc-libs vanno in conflitto. Vuoi rimuovere gcc-libs? [s/N]
errore: sono stati rilevati dei conflitti irrisolvibili tra i pacchetti
errore: impossibile eseguire l'operazione richiesta (dipendenze in conflitto)
:: gcc-libs-multilib e gcc-libs vanno in conflitto
Installation failed.
[alex@chakra-s9pc ~]$


Come risolvo? alla domanda di rimuovere gcc-libs non ha in realtà aspettato nessuna risposta. 
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: whoami - 08 Aprile 2014 ore 17:07
http://forum.chakra-project.it/index.php/topic,5463.msg51140.html#msg51140 (http://forum.chakra-project.it/index.php/topic,5463.msg51140.html#msg51140)
Titolo: R: Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: alex - 08 Aprile 2014 ore 17:44
Grazie! Avevo cercato solo in questo thread, credevo di aver saltato qualche passaggio della guida.

Più tardi provo

Ok, sostituita manualmente come suggerito. Il bello che avevo provato a toglierla manualmente per poi caricare l'altra, ma giustamente le varie dipendenze mi sconsigliavano di farlo enon mi sono fidato a forzare.

Fatto la stessa cosa anche per altri pacchetti, mi pare: gcc-libs-multilib, binutils-multilib, gcc-multilib, libtool-multilib, lib32-harfbuzz.

Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: silente0965 - 11 Aprile 2014 ore 10:09
A me succedeva con le impostazioni iOS di vedere come sfuocato.
Cmq ho visto che alle volte la combinazione scheda grafica/driver può incidere.

Al momento io su due macchine ho i font a posto con infinality

Leggendo sul forum di arch pare dipenda anche dal tipo di monitor LCD,perchè io ho i medesimi problemi sia con chakra,che manjaro ecc...coi bundle di Bohoomil i font mi diventano inguardabili (impostato tutto di default eh,nessun ios o windows o ubuntu) ,più sottili,sfocati e più piccoli,mentre con infinality standard vedo tutto benissimo (ma anche li varia da distro a distro,tipo su opensuse gli infinality li vedo un pelino meglio)...boh vai a capire il mistero! ;D
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: UnderTheGun - 11 Aprile 2014 ore 16:02
...coi bundle di Bohoomil i font mi diventano inguardabili (impostato tutto di default eh,nessun ios o windows o ubuntu) ,più sottili,sfocati e più piccoli,

Hai provato a cambiare font e a modificare il valore USE_STYLE=" " nel file di configurazione /etc/profile.d/infinality-settings.sh ? Riavvia X per controllare le modifiche.
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: FranzMari - 17 Aprile 2014 ore 14:52
Sto cercando di installare i pacchetti lib32 (per usare Skype), ma la compilazione di lib32-freetype2-infinality-ultimate fallisce  :-\
Codice: [Seleziona]
/usr/lib/libfreetype.so: could not read symbols: File in wrong format
collect2: error: ld returned 1 exit status
make: *** [/tmp/ccrbuild-1000/lib32-freetype2-infinality-ultimate/lib32-freetype2-infinality-ultimate/src/freetype-2.5.3/objs/libfreetype.la] Errore 1
==> ERRORE: Si è verificato un errore in build().
    L'operazione sta per essere interrotta...
The build failed.
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: UnderTheGun - 18 Aprile 2014 ore 02:08
@FRANZ: controllo subito , grazie! :)

EDIT: ho provato a compilare prendendo direttamente il sorgente tarball da ccr (per essere sicuro) e a me va  :-\ .

Ad ogni modo ho cambiato un "export" che punta alle librerie, perchè sembra quello il problema.
Riprova cancellando i vecchi file nel tuo pc e aggiornando ccr, sennò ti compila ripartendo dalla versione di prima.
  ;)

Fammi sapere!
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: tumbler - 20 Aprile 2014 ore 11:06
ragazzi nell augurarvi buona pasqua vi chiedo quale pacchetto devo rimuovere dei due

Codice: [Seleziona]
ricerca dei conflitti in corso...
errore: sono stati rilevati dei conflitti irrisolvibili tra i pacchetti
errore: impossibile eseguire l'operazione richiesta (dipendenze in conflitto)
:: ttf-dejavu-ib e t1-dejavu-ib vanno in conflitto
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: Stardust_95 - 20 Aprile 2014 ore 11:09
ragazzi nell augurarvi buona pasqua vi chiedo quale pacchetto devo rimuovere dei due

Codice: [Seleziona]
ricerca dei conflitti in corso...
errore: sono stati rilevati dei conflitti irrisolvibili tra i pacchetti
errore: impossibile eseguire l'operazione richiesta (dipendenze in conflitto)
:: ttf-dejavu-ib e t1-dejavu-ib vanno in conflitto

io ho rimosso t1, aggiornato e mi ha chiesto di installare tff, riavviato tendendo le dita incrociate e sembra aver funzionato, tranne che in KDM non è attivo infinality, quindi ho i font standard di kde  ;D
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: FranzMari - 20 Aprile 2014 ore 11:14
@FRANZ: controllo subito , grazie! :)

EDIT: ho provato a compilare prendendo direttamente il sorgente tarball da ccr (per essere sicuro) e a me va  :-\ .

Ad ogni modo ho cambiato un "export" che punta alle librerie, perchè sembra quello il problema.
Riprova cancellando i vecchi file nel tuo pc e aggiornando ccr, sennò ti compila ripartendo dalla versione di prima.
  ;)

Fammi sapere!

Colpa mia, mi mancava lib32-freetype per poter compilare lib32-freetype2-infinality-ultimate  :-[

io ho rimosso t1, aggiornato e mi ha chiesto di installare tff,
Idem , poi ho rinstallato t1  ;D
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: UnderTheGun - 21 Aprile 2014 ore 00:54
Colpa mia, mi mancava lib32-freetype per poter compilare lib32-freetype2-infinality-ultimate  :-[
Ehehehe  ;)


ps. per quanto riguarda dejavu t1 e ttf, il consiglio sarebbe di installare la versione ttf, ma anche la t1 può andare.
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: tumbler - 21 Aprile 2014 ore 08:46
Bene grazie ... ho disinstallato t1 ed iunstallato ttf ... tutto ok!!!
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: dongogo - 22 Aprile 2014 ore 00:00
ma chi come me aveva installato
Codice: [Seleziona]
sudo pacman -Sy ibfonts-meta-baseper disinstallare t1 sono stato costretto a disinstallare ibfonts in quanto t1 ne è dipendenza  ::)

quanto sopra al fine di  aggiornare il sistema   :P
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: UnderTheGun - 22 Aprile 2014 ore 01:22
ma chi come me aveva installato
Codice: [Seleziona]
sudo pacman -Sy ibfonts-meta-baseper disinstallare t1 sono stato costretto a disinstallare ibfonts in quanto t1 ne è dipendenza  ::)

quanto sopra al fine di  aggiornare il sistema   :P

Non c'era bisogno, se chiedevi prima ti avrei detto che bastava eseguire:

Codice: [Seleziona]
sudo pacman -Rdd t1-dejavu-ib
Codice: [Seleziona]
sudo pacman -S ttf-dejavu-ib
e poi potevi aggiornare.  :)
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: UnderTheGun - 22 Aprile 2014 ore 01:38
AGGIORNAMENTI

I seguenti pacchetti verranno aggiornati a minuti:

fontconfig-iu
lib32-fontconfig-iu
cairo-iu
lib32-cairo-iu


iu= infinality-ultimate


fontconfig è stato pachato per risolvere il bug 7752 (http://lists.freedesktop.org/archives/fontconfig-bugs/2014-April/000835.html)

cairo-iu è stato ricostruito senza una patch superflua per Firefox.

Per vedere tutte le modifiche consultate il CHANGELOG qui sotto:

[spoiler]infinality-bundle+fonts
=======================

CHANGELOG
---------


2014-04-18
~~~~~~~~~~

##### fontconfig-infinality-ultimate, rev. 2.11.1-7

* `XDG_HOME_CONFIG/fontconfig` support for per-user customizations has been improved (issue [#3](https://github.com/bohoomil/fontconfig-ultimate/issues/3)). It is now possible to alter default font replacement rules on a per-user basis, which previously was reserved for system wide configuration (via `35-repl-custom.conf`).
* Updated per-user configuration files.
* Removed obsolete replacement rule for `@font-face:Roboto` from `37-repl-global.conf` (issue [#18](https://github.com/bohoomil/fontconfig-ultimate/issues/18)).
* `37-repl-global-foo.conf` configuration files have been revised and updated.
* Fixed Arial rendering.

##### infinality-bundle-fonts

* `ttf-dejavu-ib` has been set default for `ibfonts-meta-base`.
* Sorts Mill Goudy (OTF & TTF) has been added to the collection.

2014-04-10
~~~~~~~~~~

##### fontconfig-infinality-ultimate, rev. 2.11.1-6

* Fixing issue [#14](https://github.com/bohoomil/fontconfig-ultimate/issues/14).

2014-04-10
~~~~~~~~~~

##### fontconfig-infinality-ultimate, rev. 2.11.1-5

* Fixing [bug 7752](https://bugs.freedesktop.org/show_bug.cgi?id=77252).


2014-04-09
~~~~~~~~~~

##### infinality-bundle-fonts

The following packages have been added to the collection:

* `ttf-ipafont-ib` (new default for Japanese script)
* `ttf-nanum-fonts-ib` (new default for Korean script)
* `ttf-nanumgothic-coding-ibx`
* `ttf-pfeffer-mediaeval-ibx` (for mediaevalists)
* `ttf-tharlon-ib` (new default for Buginese / Myanmar scripts)
* `ttf-triod-postnaja-ibx` (for Old Church Slavonic language)
* `ttf-wqy-microhei-ib` (new default for Chinese script)
* `ttf-lohit-fonts-ib` (the entire family for all Indic scripts, incl. early releases)

The following packages have been moved to the `extra` group (they can be installed on demand):

* `otf-libre-baskerville-ib`
* `t1-cantarell-ib`
* `t1-paratype-ib`
* `ttf-himalaya-fonts-ib`
* `ttf-myanmar3-ib`
* `ttf-sawarabi-ib`
* `ttf-unfonts-core-ib`
* `ttf-vlgothic-ib`

Unless needed, they can be safely removed from the system.

The following packages have been merged:

* `ttf-droid-ib` and `ttf-droid-monovar-ib`
* `otf-alegreya-ibx` and `otf-alegreya-sans-ht-ibx`

Miscellaneous changes:

* `otf-melthofonts-ib` has been split into two packages, with the base one providing Estrangelo Edessa only. `otf-melthofonts-ext-ibx`, supposed to be installed on demand, offers additional fonts from the Meltho family.
* An additional meta package -- `ibfonts-meta-extended-lt` -- was added for users who want to install extended collection of fonts without support for non-Latin language scripts.[/spoiler]
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: dongogo - 23 Aprile 2014 ore 01:35
Non c'era bisogno, se chiedevi prima ti avrei detto che bastava eseguire:
si trova più gusto a fare le cose  da soli ma se avessi fatto più attenzione  :-[ era sufficiente leggere questo tua preziosa guida  :-*

Grazie per il prezioso aiuto. ;)
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: UnderTheGun - 28 Maggio 2014 ore 01:17
Pacchetti aggiornati!
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: DottorGab - 29 Maggio 2014 ore 16:39
Forse è un problema solo mio, ma a succede questo:
Codice: [Seleziona]
[gabriele@chakra ~]$ ccr -Syu lib32-freetype2-infinality-ultimate lib32-fontconfig-infinality-ultimate lib32-cairo-infinality-ultimate
:: Sincronizzazione dei database in corso...
 lib32 è aggiornato
 core è aggiornato
 platform è aggiornato
 desktop è aggiornato
 apps è aggiornato
 games è aggiornato
 extra è aggiornato
 linux-ck è aggiornato
:: Aggiornamento del sistema in corso...
 non ci sono aggiornamenti disponibili
:: Synchronizing ccr database...

:: Starting full ccr upgrade...
 local database is up to date
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: UnderTheGun - 30 Maggio 2014 ore 18:25
Forse è un problema solo mio, ma a succede questo:
Codice: [Seleziona]
[gabriele@chakra ~]$ ccr -Syu lib32-freetype2-infinality-ultimate lib32-fontconfig-infinality-ultimate lib32-cairo-infinality-ultimate
:: Sincronizzazione dei database in corso...
 lib32 è aggiornato
 core è aggiornato
 platform è aggiornato
 desktop è aggiornato
 apps è aggiornato
 games è aggiornato
 extra è aggiornato
 linux-ck è aggiornato
:: Aggiornamento del sistema in corso...
 non ci sono aggiornamenti disponibili
:: Synchronizing ccr database...

:: Starting full ccr upgrade...
 local database is up to date
Magari hai già aggiornato i pacchetti...
Controlla le versioni.

Se hai:

freetype2-infinality-ultimate 2.5.3-3
fontconfig-infinality-ultimate 2.11.1-3
cairo-infinality-ultimate 1.12.16-12
lib32-cairo-infinality-ultimate 1.12.16-12
ib32-fontconfig-infinality-ultimate 2.11.1-2
lib32-freetype2-infinality-ultimate 2.5.3-9

sei a posto.
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: DottorGab - 30 Maggio 2014 ore 22:12
Ma non sono proprio installati, che sia un errore da questa linea?
Codice: [Seleziona]
:: Starting full ccr upgrade...
 local database is up to date
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: FranzMari - 31 Maggio 2014 ore 09:56
Ma perché
Codice: [Seleziona]
ccr -Syu lib32-freetype2-infinality-ultimate lib32-fontconfig-infinality-ultimate lib32-cairo-infinality-ultimate ?
Neppure a me funziona con questo comando.

Comunque basta dare
Codice: [Seleziona]
ccr -S lib32-freetype2-infinality-ultimate lib32-fontconfig-infinality-ultimate lib32-cairo-infinality-ultimatee l'installazione parte senza problemi, come per qualsiasi altro pacchetto CCR...
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: UnderTheGun - 31 Maggio 2014 ore 15:09
Ma perché
Codice: [Seleziona]
ccr -Syu lib32-freetype2-infinality-ultimate lib32-fontconfig-infinality-ultimate lib32-cairo-infinality-ultimate ?
Neppure a me funziona con questo comando.

Perchè dato che c'è stato un periodo che li aggiornavo quasi quotidianamente era indispensabile aggiornare CCR.  :)

Ora posso anche rimuovere "yu".

Grazie della segnalazione!

EDIT: guida e wiki aggiornati (+ link ok)
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: DottorGab - 31 Maggio 2014 ore 21:00
Grazie entrambi, ma allo step successivo al primo S che digito ottengo
Codice: [Seleziona]
:: lib32-freetype2: richiede freetype2=2.5.2
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: UnderTheGun - 01 Giugno 2014 ore 01:53
Grazie entrambi, ma allo step successivo al primo S che digito ottengo
Codice: [Seleziona]
:: lib32-freetype2: richiede freetype2=2.5.2
OK, riprova adesso.
Ho aggiornato

freetype2-infinality-ultimate alla versione 2.5.3-4
e
lib32-freetype2-infinality-ultimate alla 2.5.3-10

per risolvere questo inconveniente.

Grazie Gab per la segnalazione. ;)
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: DottorGab - 01 Giugno 2014 ore 06:20
Perché non aggiungiamo di default questi font? Almeno metterli nei repo ufficiali no?

Codice: [Seleziona]
:: fontconfig-infinality-ultimate e fontconfig vanno in conflitto. Vuoi rimuovere fontconfig? [s/N] s
errore: impossibile eseguire l'operazione richiesta (impossibile soddisfare le dipendenze)
:: lib32-fontconfig: richiede fontconfig=2.11.0

Codice: [Seleziona]
:: gcc-libs-multilib e gcc-libs vanno in conflitto. Vuoi rimuovere gcc-libs? [s/N]
errore: sono stati rilevati dei conflitti irrisolvibili tra i pacchetti
errore: impossibile eseguire l'operazione richiesta (dipendenze in conflitto)
:: gcc-libs-multilib e gcc-libs vanno in conflitto
Installation failed.

[O.T. UtG
Ho imparato molte cose nell'ultimo anno grazie a questo forum, se posso aiutare devo aiutare  ;) ]
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: FranzMari - 01 Giugno 2014 ore 14:21
Perché non aggiungiamo di default questi font? Almeno metterli nei repo ufficiali no?

Quali font?
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: DottorGab - 01 Giugno 2014 ore 15:03
Espresso male, intendevo questi pacchetti
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: FranzMari - 01 Giugno 2014 ore 15:13
Espresso male, intendevo questi pacchetti

I pacchetti presenti nei repo ufficiali contengono le patch di Ubuntu, che sono state scelte al posto di quelle Infinality, quindi aggiungere questi pacchetti ai repo sarebbe ridondante.
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: UnderTheGun - 01 Giugno 2014 ore 18:04


Codice: [Seleziona]
:: fontconfig-infinality-ultimate e fontconfig vanno in conflitto. Vuoi rimuovere fontconfig? [s/N] s
errore: impossibile eseguire l'operazione richiesta (impossibile soddisfare le dipendenze)
:: lib32-fontconfig: richiede fontconfig=2.11.0

Codice: [Seleziona]
:: gcc-libs-multilib e gcc-libs vanno in conflitto. Vuoi rimuovere gcc-libs? [s/N]
errore: sono stati rilevati dei conflitti irrisolvibili tra i pacchetti
errore: impossibile eseguire l'operazione richiesta (dipendenze in conflitto)
:: gcc-libs-multilib e gcc-libs vanno in conflitto
Installation failed.


Riprova ora.
Se cairo-iu e la sua lib32 dovessero darti dei problemi, per il momento salta le loro 2 installazioni.
Per il resto dovrebbe essere tutto ok.

Inutile dire che alla domanda:
Codice: [Seleziona]
:: gcc-libs-multilib e gcc-libs vanno in conflitto. Vuoi rimuovere gcc-libs? [s/N] devi dare SI
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: alex - 09 Giugno 2014 ore 11:11
Aggiornati e scelto "comme" come font dopo aver rivisto il tuo desktop, mi piace!  ;D
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: UnderTheGun - 14 Giugno 2014 ore 01:55
Aggiornati e scelto "comme" come font dopo aver rivisto il tuo desktop, mi piace!  ;D

Eheheheh  ;D , sono contento che ti trovi bene ;)!
È davvero un bel font Comme! Ed ha anche un sacco di stili: addirittura 2 sottili e 2 semi-bold!..oltre anche ai soliti noti (bold, regular, black, etc..)
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: UnderTheGun - 14 Giugno 2014 ore 19:33
NEWS

Riguardo al repo infinality-bundle
# Fontconfig-iu aggiornato alla versione 2.11.1-5


Riguardo il repo infinality-fonts
# migliorato il rendering di diversi font
# aggiunti nuovi font
# istruzioni rendering per tutte le famiglie dei font sono stati divisi per pacchetti individuali

Consultare il changelog qui sotto per conoscere le ultime novità

infinality-bundle+fonts
=======================
CHANGELOG


Citazione
2014-06-12
~~~~~~~~~~

### infinality-bundle-fonts

About 150 font packages were updated. Rendering settings were revised, simplified where possible and standardized. Redundant and duplicated settings were removed on a per-family basis.

The following packages were added to the repository:

* Heuristica (`ttf-heuristica-ibx`)
* Paratype (`ttf-paratype-ibx`)
* Raleway (`otf-raleway-ibx`)
* Signika & Signika Negative (`ttf-signika-ibx`)
* Source Code Pro (`otf-source-code-pro-ibx`)
* Source Sans Pro (`otf-source-sans-pro-ibx`)
* Source Serif Pro (`otf-source-serif-pro-ibx`)
* Luxi family (`ttf-bh-ib`)

The following packages were upgraded:

* `otf-heuristica-ib`, v.1.0.2
* `ttf-liberastika-ib`, v1.1.4
* `otf-vollkorn-ibx`, v3.005

The following packages were removed:

* `t1-adobe-utopia-ib` (replaced by `otf-heuristica-ib`)
* `t1-ibm-courier-ibx` (replaced by `ttf-courier-prime-ib`)

**Updates requiring user intervention:**

* The Chinese branch of DejaVu family, DejaVu Sans YuanTi, needs to be downgraded due to the change in version numbering. The following packages are affected:

    * `ttf-dejavusans-yuanti-basic`
    * `ttf-dejavusans-yuanti-condensed`
    * `ttf-dejavusans-yuanti-mono`

* `ttf-pfeffer-mediaeval-ibx` was correctly renamed to `otf-pfeffer-mediaeval-ibx`. In order to upgrade, remove the `ttf` package and install the new one then.

### fontconfig-infinality-ultimate, rev. 2.11.1-15

Rendering instructions for all packaged font families were split to individual packages. The benefits of such a solution are the following:

* Simpler maintenance: leaving only global settings to `fontconfig-iu` and most per-family instructions to individual font packages allows for easier debugging and code updates to both.
* Reduced size and easier accessibility of generic `fontconfig-iu` config files.
* Greater font configuration flexibility and lesser probability of interference between settings crafted for `infinality-bundle-fonts` families and fonts installed from third-party sources, i.e. relevant rendering instructions are added when a font package is installed and removed when the font is no longer present in the system.

Users who do not use `infinality-bundle-fonts` and install fonts either from official Arch Linux repositories, the AUR or random sources can still take advantage of per-family rendering instructions included in the packages. In order to add support to preconfigured fonts, they will need to create symbolic links to fontconfig settings provided in `/usr/share/doc/fontconfig-infinality-ultimate/font-settings/`, e.g.

    # cd /usr/share/doc/fontconfig-infinality-ultimate/font-settings
    # ls *amble*
    45-amble.conf  90-tt-amble.conf
    # ln -sr *amble.conf /etc/fonts/conf.d/

In case of multiple configuration files (e.g. `90-non-tt-signika.conf` and `90-tt-signika.conf`) it is necessary to choose the correct one depending on the format to be used, i.e. `90-tt-foo.conf` for TrueType fonts and `90-non-tt-foo.conf` for OpenType/Type 1.

For unsupported fonts new settings should be created, otherwise they will be rendered using the default auto-hinter. If this is the case, a user can either file a bug report on GitHub or open a pull request and submit her/his custom configuration files.


Il CHANGELOG  intero lo trovate QUI (https://raw.githubusercontent.com/bohoomil/fontconfig-ultimate/pkgbuild/02_fontconfig-iu/CHANGELOG)




Ulteriori preziose "Customization and troubleshooting"



1#   Alcuni utenti di GIMP hanno riportato problemi col il subfixel rendering del testo nelle immagini. Il migliore cosa da fare è quella di disabilitare il subpixel rendering solo per GIMP . Aggiungere un file in /etc/gimp/2.0/fonts.conf (o in ~/gimp-2.8/fonts.conf solo per un singolo utente) con il seguente contenuto:
Codice: [Seleziona]
<fontconfig>
  <match targe
<fontconfig>
  <match target="font">
    <edit name="rgba" mode="assign">
      <const>none</const>
    </edit>
  </match>
</fontconfig>


  2#  Per risolvere problemi di rendering su Chromium come descritto in QUESTO POST (https://bbs.archlinux.org/viewtopic.php?pid=1344172#p1344172), edita il file /etc/fonts/fonts.conf e decommentate le seguenti righe,

da così:
Codice: [Seleziona]
<!--match target="pattern">
<edit name="dpi" mode="assign">
<double>72</double>
</edit>
</match-->

a così:
Codice: [Seleziona]
<match target="pattern">
<edit name="dpi" mode="assign">
<double>72</double>
</edit>
</match>


3#   Chi usa Emacs ha riportato problemi dopo aver installato infinality-fonts riguardo ai default variable pitch typeface.
Per risolvere e far funzionare correttamente Emacs con i font free, dovete specificare una "variable pitch family" in $HOME/.emacs.

Esempio:
Codice: [Seleziona]
(custom-set-faces
 '(default ((t (:family "Liberation Mono" :slant normal :weight regular :height 98))))
 '(variable-pitch ((t (:family "Liberation Sans" :slant normal :weight regular :height 98 )))))
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: alex - 01 Luglio 2014 ore 10:08
Ciao UTG, avevi visto qui
http://forum.chakra-project.it/index.php/topic,6346.msg53240/boardseen.html#new (http://forum.chakra-project.it/index.php/topic,6346.msg53240/boardseen.html#new) ?
L'uso di cairo-infinality-ultimate da probelmi con alcuni aggiornamenti per la mancanza della libreria "/usr/lib/libcairo.la", che non so nemmeno cosa sia.
Non è un gran problema per me ora non poter aggiornare darktable, ecc... ma meglio se si può risolvere  :)
Chiaramente un modo è reinstallare cairo, ma così si perde cairo-infinality-ultimate.

Edit: Ho visto solo poi che Dinolib lo ha già segnalato sul pacchetto! non avevo guardato  :-[
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: whoami - 15 Luglio 2014 ore 23:20
Certo che cairo-infinality-ultimate è proprio un pacchetto del cairo!!! A me non compila:

Codice: [Seleziona]
libtool: link: cannot find the library `/usr/lib/libfontconfig.la' or unhandled argument `/usr/lib/libfontconfig.la'
make[4]: *** [any2ppm] Errore 1
make[4]: Leaving directory `/tmp/ccrbuild-1000/cairo-infinality-ultimate/cairo-infinality-ultimate/src/cairo-1.12.16/test'
make[3]: *** [all-recursive] Errore 1
make[3]: Leaving directory `/tmp/ccrbuild-1000/cairo-infinality-ultimate/cairo-infinality-ultimate/src/cairo-1.12.16/test'
make[2]: *** [all] Errore 2
make[2]: Leaving directory `/tmp/ccrbuild-1000/cairo-infinality-ultimate/cairo-infinality-ultimate/src/cairo-1.12.16/test'
make[1]: *** [all-recursive] Errore 1
make[1]: Leaving directory `/tmp/ccrbuild-1000/cairo-infinality-ultimate/cairo-infinality-ultimate/src/cairo-1.12.16'
make: *** [all] Errore 2
==> ERRORE: Si è verificato un errore in build().
    L'operazione sta per essere interrotta...
The build failed.

Uffa! Idee? Provo a segnalarlo anche sul pacchetto, vediamo dove UtG lo vede per primo...

PS: Sono in stable, visto che con i casini che combino non mi meriterei neanche la password di root!
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: UnderTheGun - 26 Luglio 2014 ore 03:50
scusate il ritardo...sto aggiornando tutti i pacchetti, spero di trovare una soluzione...purtroppo è un problema che anche altre persone (con altri pacchetti) hanno riscontrato su chakra...questo perchè sono stati compilati i binari (ufficiali) escludendo i file .la tramite un opzione nei vari pkgbuild e nel buildsystem...
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: dinolib - 26 Luglio 2014 ore 07:46
E' un problema che almack dovrebbe aver risolto con gli ultimi rilasci (su alcuni pacchetti era stata usata un'opzione di compilazione che richiedeva i .la e questo a cascata si riversava anche sui pacchetti compilati con dipendenze).

Se ci sono ancora problemi fate sapere che si dovrebbe risolvere
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: Fregtux - 18 Agosto 2014 ore 15:29
Quali font consigliate di installare?

Ho letto del font "comme", ma trovo solo nei repo ufficiali il ttf-comme e non la versione ib, sbaglio qualcosa?
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: UnderTheGun - 18 Agosto 2014 ore 20:37
Comme esiste al momento solo nei repo ufficiali. Per la versione ib dobbiamo aspettare. TI posso garantire che comunque la resa è ottima.
Come sempre il consiglio è: prima di installare un font cercare se esiste la versione "ib".
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: Fregtux - 18 Agosto 2014 ore 21:10
Grazie per la risposta, e complimenti per la guida, la differenza si nota!  :)
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: jonajams - 01 Dicembre 2014 ore 22:54
raga nella guida ho avuto migliaia di problemi, riesco ad installare soltanto la prima e la terza riga, il boundle per 32 lib proprio non va. ora: firefox non ha più caratteri, ma il resto del pc funziona bene. Mi aiutate? ho già perso 2 sere per ripristinare il tutto ma non ci riesco  >:(

edit: ho potuto rimettere i caratteri togliendo al spunta a firefox da "permetti alla pagine di scegliere il proprio carattere". ora posso vedere ogni sito ma sono tornato al momento della prima installazione, ovvero grassetto sfuocato, pagine più piccole ed altre più grandi, no schifo insomma. Come posso migliorare?! possibile che soltanto con ttf- ms installato andava tutto bene e ora che provo la guida tutto va a puttane (poi perchè solo su firefox)?!?!

ps: il comando in top mi da anche a me l'errore: sudo: fc-presets: comando non trovato, e se apro octopi ottengo:
Mirror-check...

Checking lib32 core platform desktop apps games extra infinality-bundle-fonts chakra-infinality-bundle-multilib...

'lib32' is synced.
'core' is synced.
'platform' is synced.
'desktop' is synced.
'apps' is not synced.
'games' is synced.
'extra' is synced.
Repo 'infinality-bundle-fonts' could not be found
Repo 'chakra-infinality-bundle-multilib' could not be found


Comando terminato OK!

aggiornamento nuovo: mi manca il file infinality-settings.sh come lo ripristino?
Titolo: Re:Chakra Infinality-{Ultimate}-Bundle [ora su CCR]
Inserito da: dongogo - 05 Dicembre 2014 ore 22:12
ho problemi con fontconfig-infinality-ultimate  ::)
Codice: [Seleziona]
make[2]: Leaving directory `/tmp/ccrbuild-1000/fontconfig-infinality-ultimate/fontconfig-infinality-ultimate/src/fontconfig-2.11.1'
make[1]: Leaving directory `/tmp/ccrbuild-1000/fontconfig-infinality-ultimate/fontconfig-infinality-ultimate/src/fontconfig-2.11.1'
cp: impossibile eseguire stat di "fontconfig_patches/ftypes": File o directory non esistente
==> ERRORE: Si è verificato un errore in package().
    L'operazione sta per essere interrotta...
The build failed.